---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2020-09-09 01:30:00

title: "Constant"
chapter: "General Theorems"
section: "Probability theory"
topic: "Random variables"
definition: "Constant"

sources:
  - authors: "ProofWiki"
    year: 2020
    title: "Definition: Constant"
    in: "ProofWiki"
    pages: "retrieved on 2020-09-09"
    url: "https://proofwiki.org/wiki/Definition:Constant#Definition"

def_id: "D96"
shortcut: "const"
username: "JoramSoch"
---


**Definition:** A constant is a quantity which does not change and thus always has the same value. From a statistical perspective, a constant is a [random variable](/D/rvar) which is equal to its [expected value](/D/mean)

$$ \label{eq:EX}
X = \mathrm{E}(X)
$$

or equivalently, whose [variance](/D/var) is zero

$$ \label{eq:VarX}
\mathrm{Var}(X) = 0 \; .
$$