---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2021-03-19 14:54:00

title: "Critical value"
chapter: "General Theorems"
section: "Frequentist statistics"
topic: "Hypothesis testing"
definition: "Critical value"

sources:
  - authors: "Wikipedia"
    year: 2021
    title: "Statistical hypothesis testing"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2021-03-19"
    url: "https://en.wikipedia.org/wiki/Statistical_hypothesis_testing#Definition_of_terms"

def_id: "D134"
shortcut: "cval"
username: "JoramSoch"
---


**Definition:** In a [statistical hypothesis test](/D/test), the [critical value](/D/cval) $t_\mathrm{crit}$ is that value of the [test statistic](/D/tstat) $T(Y)$ which partitions the set of possible test statistics into "acceptance region" and "rejection region" based on a [significance level](/D/alpha) $\alpha$. Put differently, if the observed test statistic $t_\mathrm{obs} = T(y)$ computed from actually [measured data](/D/data) $y$ is as extreme or more extreme than the critical value, the test rejects the [null hypothesis](/D/h0) $H_0$ in favor of the [alternative hypothesis](/D/h1).