---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2020-05-17 21:25:00

title: "Conditional probability distribution"
chapter: "General Theorems"
section: "Probability theory"
topic: "Probability distributions"
definition: "Conditional distribution"

sources:
  - authors: "Wikipedia"
    year: 2020
    title: "Conditional probability distribution"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2020-05-17"
    url: "https://en.wikipedia.org/wiki/Conditional_probability_distribution"

def_id: "D58"
shortcut: "dist-cond"
username: "JoramSoch"
---


**Definition:** Let $X$ and $Y$ be [random variables](/D/rvar) with sets of possible outcomes $\mathcal{X}$ and $\mathcal{Y}$. Then, the conditional distribution of $X$ given that $Y$ is a [probability distribution](/D/dist) that specifies the probability of the event that $X = x$ given that $Y = y$ for each possible combination of $x \in \mathcal{X}$ and $y \in \mathcal{Y}$. The conditional distribution of $X$ can be obtained from the [joint distribution](/D/dist-joint) of $X$ and $Y$ and the [marginal distribution](/D/dist-marg) of $Y$ using the [law of conditional probability](/D/prob-cond).