---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2020-05-17 20:43:00

title: "Joint probability distribution"
chapter: "General Theorems"
section: "Probability theory"
topic: "Probability distributions"
definition: "Joint distribution"

sources:
  - authors: "Wikipedia"
    year: 2020
    title: "Joint probability distribution"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2020-05-17"
    url: "https://en.wikipedia.org/wiki/Joint_probability_distribution"

def_id: "D56"
shortcut: "dist-joint"
username: "JoramSoch"
---


**Definition:** Let $X$ and $Y$ be [random variables](/D/rvar) with sets of possible outcomes $\mathcal{X}$ and $\mathcal{Y}$. Then, a joint distribution of $X$ and $Y$ is a [probability distribution](/D/dist) that specifies the probability of the event that $X = x$ and $Y = y$ for each possible combination of $x \in \mathcal{X}$ and $y \in \mathcal{Y}$.

* The joint distribution of two scalar [random variables](/D/rvar) is called a bivariate distribution.

* The joint distribution of a [random vector](/D/rvec) is called a multivariate distribution.

* The joint distribution of a [random matrix](/D/rmat) is called a matrix-variate distribution.