---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2021-07-23 16:32:00

title: "Mutual exclusivity"
chapter: "General Theorems"
section: "Probability theory"
topic: "Probability"
definition: "Mutual exclusivity"

sources:
  - authors: "Wikipedia"
    year: 2021
    title: "Mutual exclusivity"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2021-07-23"
    url: "https://en.wikipedia.org/wiki/Mutual_exclusivity#Probability"

def_id: "D156"
shortcut: "exc"
username: "JoramSoch"
---


**Definition:** Generally speaking, [random events](/D/reve) are mutually exclusive, if they cannot occur together, such that their intersection is equal to the [empty set](/P/prob-emp).

<br>
More precisely, a set of statements $A_1, \ldots, A_n$ is called mutually exclusive, if

$$ \label{eq:exc}
p(A_1, \ldots, A_n) = 0
$$

where $p(A_1, \ldots, A_n)$ is the [joint probability](/D/prob-joint) of the statements $A_1, \ldots, A_n$.