---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2021-03-12 10:25:00

title: "Null hypothesis"
chapter: "General Theorems"
section: "Frequentist statistics"
topic: "Hypothesis testing"
definition: "Null hypothesis"

sources:
  - authors: "Wikipedia"
    year: 2021
    title: "Exclusion of the null hypothesis"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2021-03-12"
    url: "https://en.wikipedia.org/wiki/Exclusion_of_the_null_hypothesis#Basic_definitions"

def_id: "D125"
shortcut: "h0"
username: "JoramSoch"
---


**Definition:** The statement which is tested in a [statistical hypothesis test](/D/test) is called the "null hypothesis", denoted as $H_0$. The test is designed to assess the strength of evidence against $H_0$ and possibly reject it. The opposite of $H_0$ is called the "[alternative hypothesis](/D/h1)". Usually, $H_0$ is a statement that a particular parameter is zero, that there is no effect of a particular treatment or that there is no difference between particular conditions.

More precisely, let $m$ be a [generative model](/D/gm) describing measured data $y$ using model parameters $\theta \in \Theta$. Then, a null hypothesis is formally specified as

$$ \label{eq:h0}
H_0: \; \theta \in \Theta_0 \quad \text{where} \quad \Theta_0 \subset \Theta \; .
$$