---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2021-03-12 10:36:00

title: "Alternative hypothesis"
chapter: "General Theorems"
section: "Frequentist statistics"
topic: "Hypothesis testing"
definition: "Alternative hypothesis"

sources:
  - authors: "Wikipedia"
    year: 2021
    title: "Exclusion of the null hypothesis"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2021-03-12"
    url: "https://en.wikipedia.org/wiki/Exclusion_of_the_null_hypothesis#Basic_definitions"

def_id: "D126"
shortcut: "h1"
username: "JoramSoch"
---


**Definition:** Let $H_0$ be a [null hypothesis](/D/h0) of a [statistical hypothesis test](/D/test). Then, the corresponding alternative hypothesis, denoted as $H_1$, is either the negation of $H_0$ or an interesting sub-case in the negation of $H_0$, depending on context. The test is designed to assess the strength of evidence against $H_0$ and possibly reject it in favor of $H_1$. Usually, $H_1$ is a statement that a particular parameter is non-zero, that there is an effect of a particular treatment or that there is a difference between particular conditions.

More precisely, let $m$ be a [generative model](/D/gm) describing measured data $y$ using model parameters $\theta \in \Theta$. Then, null and alternative hypothesis are formally specified as

$$ \label{eq:h0}
\begin{split}
H_0&: \; \theta \in \Theta_0 \quad \text{where} \quad \Theta_0 \subset \Theta \\
H_1&: \; \theta \in \Theta_1 \quad \text{where} \quad \Theta_1 = \Theta \setminus \Theta_0 \; .
\end{split}
$$