---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2021-03-19 14:28:00

title: "Point and set hypothesis"
chapter: "General Theorems"
section: "Frequentist statistics"
topic: "Statistical hypotheses"
definition: "Point/exact vs. set/inexact"

sources:
  - authors: "Wikipedia"
    year: 2021
    title: "Exclusion of the null hypothesis"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2021-03-19"
    url: "https://en.wikipedia.org/wiki/Exclusion_of_the_null_hypothesis#Terminology"

def_id: "D129"
shortcut: "hyp-point"
username: "JoramSoch"
---


**Definition:** Let $H$ be a [statistical hypothesis](/D/hyp). Then,

* $H$ is called a point hypothesis or exact hypothesis, if it specifies an exact parameter value:

$$ \label{eq:hyp-point}
H: \; \theta = \theta^{*} \; ;
$$

* $H$ is called a set hypothesis or inexact hypothesis, if it specifies a set of possible values with more than one element for the parameter value (e.g. a range or an interval):

$$ \label{eq:hyp-non-point}
H: \; \theta \in \Theta^{*} \; .
$$