---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2021-03-19 14:24:00

title: "Simple and composite hypothesis"
chapter: "General Theorems"
section: "Frequentist statistics"
topic: "Statistical hypotheses"
definition: "Simple vs. composite"

sources:
  - authors: "Wikipedia"
    year: 2021
    title: "Exclusion of the null hypothesis"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2021-03-19"
    url: "https://en.wikipedia.org/wiki/Exclusion_of_the_null_hypothesis#Terminology"

def_id: "D128"
shortcut: "hyp-simp"
username: "JoramSoch"
---


**Definition:** Let $H$ be a [statistical hypothesis](/D/hyp). Then,

* $H$ is called a simple hypothesis, if it completely specifies the population distribution; in this case, the [sampling distribution](/D/dist-samp) of the [test statistic](/D/tstat) is a function of sample size alone.

* $H$ is called a composite hypothesis, if it does not completely specify the population distribution; for example, the hypothesis may only specify one parameter of the distribution and leave others unspecified.