---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2021-03-31 09:21:00

title: "One-tailed and two-tailed hypothesis"
chapter: "General Theorems"
section: "Frequentist statistics"
topic: "Statistical hypotheses"
definition: "One-tailed vs. two-tailed"

sources:
  - authors: "Wikipedia"
    year: 2021
    title: "One- and two-tailed tests"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2021-03-31"
    url: "https://en.wikipedia.org/wiki/One-_and_two-tailed_tests"

def_id: "D138"
shortcut: "hyp-tail"
username: "JoramSoch"
---


**Definition:** Let $H_0$ be a [point](/D/hyp-point) [null hypothesis](/D/h0)

$$ \label{eq:h0-point}
H_0: \; \theta = \theta_0 \;
$$

and consider a [set](/D/hyp-point) [alternative hypothesis](/D/h1) $H_1$. Then,

* $H_1$ is called a left-sided one-tailed hypothesis, if $\theta$ is assumed to be smaller than $\theta_0$:

$$ \label{eq:h1-tail1-left}
H_1: \; \theta < \theta_0 \; ;
$$

* $H_1$ is called a right-sided one-tailed hypothesis, if $\theta$ is assumed to be larger than $\theta_0$:

$$ \label{eq:h1-tail1-right}
H_1: \; \theta > \theta_0 \; ;
$$

* $H_1$ is called a two-tailed hypothesis, if $\theta$ is assumed to be unequal to $\theta_0$:

$$ \label{eq:h1-tail2}
H_1: \; \theta \neq \theta_0 \; .
$$