---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2021-04-16 11:53:00

title: "Sample mean"
chapter: "General Theorems"
section: "Probability theory"
topic: "Expected value"
definition: "Sample mean"

sources:
  - authors: "Wikipedia"
    year: 2021
    title: "Sample mean and covariance"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2020-04-16"
    url: "https://en.wikipedia.org/wiki/Sample_mean_and_covariance#Definition_of_the_sample_mean"

def_id: "D142"
shortcut: "mean-samp"
username: "JoramSoch"
---


**Definition:** Let $x = \left\lbrace x_1, \ldots, x_n \right\rbrace$ be a [sample](/D/samp) from a [random variable](/D/rvar) $X$. Then, the sample mean of $x$ is denoted as $\bar{x}$ and is given by

$$ \label{eq:mean-samp}
\bar{x} = \frac{1}{n} \sum_{i=1}^{n} x_i \; .
$$