---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2020-12-02 17:21:00

title: "Uniform and non-uniform prior distribution"
chapter: "General Theorems"
section: "Bayesian statistics"
topic: "Prior distributions"
definition: "Uniform vs. non-uniform"

sources:
  - authors: "Wikipedia"
    year: 2020
    title: "Lindley's paradox"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2020-11-25"
    url: "https://en.wikipedia.org/wiki/Lindley%27s_paradox#Bayesian_approach"

def_id: "D117"
shortcut: "prior-uni"
username: "JoramSoch"
---


**Definition:** Let $p(\theta \vert m)$ be a [prior distribution](/D/prior) for the parameter $\theta$ of a [generative model](/D/gm) $m$ where $\theta$ belongs to the parameter space $\Theta$. Then,

* the distribution is called a "uniform prior", if its [density](/D/pdf) or [mass](/D/pmf) is constant over $\Theta$;

* the distribution is called a "non-uniform prior", if its [density](/D/pdf) or [mass](/D/pmf) is not constant over $\Theta$.