---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2020-05-10 19:49:00

title: "Joint probability"
chapter: "General Theorems"
section: "Probability theory"
topic: "Probability"
definition: "Joint probability"

sources:
  - authors: "Wikipedia"
    year: 2020
    title: "Joint probability distribution"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2020-05-10"
    url: "https://en.wikipedia.org/wiki/Joint_probability_distribution"
  - authors: "Jason Browlee"
    year: 2019
    title: "A Gentle Introduction to Joint, Marginal, and Conditional Probability"
    in: "Machine Learning Mastery"
    pages: "retrieved on 2021-08-01"
    url: "https://machinelearningmastery.com/joint-marginal-and-conditional-probability-for-machine-learning/"

def_id: "D49"
shortcut: "prob-joint"
username: "JoramSoch"
---


**Definition:** Let $A$ and $B$ be two arbitrary statements about [random variables](/D/rvar), such as statements about the presence or absence of an event or about the value of a scalar, vector or matrix. Then, $p(A,B)$ is called the joint probability of $A$ and $B$ and is defined as the [probability](/D/prob) that $A$ and $B$ are both true.