---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2020-05-10 19:41:00

title: "Probability"
chapter: "General Theorems"
section: "Probability theory"
topic: "Probability"
definition: "Probability"

sources:
  - authors: "Wikipedia"
    year: 2020
    title: "Probability"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2020-05-10"
    url: "https://en.wikipedia.org/wiki/Probability#Interpretations"

def_id: "D48"
shortcut: "prob"
username: "JoramSoch"
---


**Definition:** Let $E$ be a statement about an arbitrary event such as the outcome of a [random experiment](/D/rexp). Then, $p(E)$ is called the probability of $E$ and may be interpreted as

* (objectivist interpretation of probability:) some physical state of affairs, e.g. the relative frequency of occurrence of $E$, when repeating the experiment ("Frequentist probability"); or

* (subjectivist interpretation of probability:) a degree of belief in $E$, e.g. the price at which someone would buy or sell a bet that pays 1 unit of utility if $E$ and 0 if not $E$ ("Bayesian probability").