---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2020-11-19 04:33:00

title: "Random event"
chapter: "General Theorems"
section: "Probability theory"
topic: "Random variables"
definition: "Random event"

sources:
  - authors: "Wikipedia"
    year: 2020
    title: "Event (probability theory)"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2020-11-19"
    url: "https://en.wikipedia.org/wiki/Event_(probability_theory)"

def_id: "D110"
shortcut: "reve"
username: "JoramSoch"
---


**Definition:** A random event $E$ is the outcome of a [random experiment](/D/rexp) which can be described by a statement that is either true or false.

* If the statement is true, the event is said to take place, denoted as $E$.

* If the statement is false, the complement of $E$ occurs, denoted as $\overline{E}$.

In other words, a random event is a [random variable](/D/rvar) with two possible values (true and false, or 1 and 0). A [random experiment](/D/rexp) with two possible outcomes is called a [Bernoulli trial](/D/bern).