---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2020-11-19 04:10:00

title: "Random experiment"
chapter: "General Theorems"
section: "Probability theory"
topic: "Random experiments"
definition: "Random experiment"

sources:
  - authors: "Wikipedia"
    year: 2020
    title: "Experiment (probability theory)"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2020-11-19"
    url: "https://en.wikipedia.org/wiki/Experiment_(probability_theory)"

def_id: "D109"
shortcut: "rexp"
username: "JoramSoch"
---


**Definition:** A random experiment is any repeatable procedure that [results in one](/D/rvar) out of a well-defined set of possible outcomes.

* The set of possible outcomes is called [sample space](/D/samp-spc).

* A set of zero or more outcomes is called a [random event](/D/reve).

* A function that maps from events to probabilities is called a [probability function](/D/dist).

Together, [sample space](/D/samp-spc), [event space](/D/eve-spc) and [probability function](/D/prob-spc) characterize a random experiment.