---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2020-11-06 03:47:00

title: "Univariate and multivariate random variable"
chapter: "General Theorems"
section: "Probability theory"
topic: "Random variables"
definition: "Univariate vs. multivariate"

sources:
  - authors: "Wikipedia"
    year: 2020
    title: "Multivariate random variable"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2020-11-06"
    url: "https://en.wikipedia.org/wiki/Multivariate_random_variable"

def_id: "D106"
shortcut: "rvar-uni"
username: "JoramSoch"
---


**Definition:** Let $X$ be a [random variable](/D/rvar) with possible outcomes $\mathcal{X}$. Then,

* $X$ is called a two-valued random variable or [random event](/D/reve), if $\mathcal{X}$ has exactly two elements, e.g. $\mathcal{X} = \left\lbrace E, \overline{E} \right\rbrace$ or $\mathcal{X} = \left\lbrace \mathrm{true}, \mathrm{false} \right\rbrace$ or $\mathcal{X} = \left\lbrace 1, 0 \right\rbrace$;

* $X$ is called a univariate random variable or [random scalar](/D/rvar), if $\mathcal{X}$ is one-dimensional, i.e. (a subset of) the real numbers $\mathbb{R}$;

* $X$ is called a multivariate random variable or [random vector](/D/rvec), if $\mathcal{X}$ is multi-dimensional, e.g. (a subset of) the $n$-dimensional Euclidean space $\mathbb{R}^n$;

* $X$ is called a matrix-valued random variable or [random matrix](/D/rmat), if $\mathcal{X}$ is (a subset of) the set of $n \times p$ real matrices $\mathbb{R}^{n \times p}$.