---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2020-05-27 22:36:00

title: "Random variable"
chapter: "General Theorems"
section: "Probability theory"
topic: "Random variables"
definition: "Random variable"

sources:
  - authors: "Wikipedia"
    year: 2020
    title: "Random variable"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2020-05-27"
    url: "https://en.wikipedia.org/wiki/Random_variable#Definition"

def_id: "D65"
shortcut: "rvar"
username: "JoramSoch"
---


**Definition:** A random variable may be understood

* informally, as a real number $X \in \mathbb{R}$ whose value is the outcome of a [random experiment](/D/rexp);

* formally, as a [measurable function](/D/meas-fct) $X$ defined on a [probability space](/D/prob-spc) $(\Omega, \mathcal{E}, P)$ that maps from a [sample space](/D/samp-spc) $\Omega$ to the real numbers $\mathbb{R}$ using an [event space](/D/eve-spc) $\mathcal{E}$ and a [probability function](/D/dist) $P$;

* more broadly, as any random quantity $X$ such as a [random event](/D/reve), a [random scalar](/D/rvar), a [random vector](/D/rvec) or a [random matrix](/D/rmat).