---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2020-09-03 05:43:00

title: "Standard deviation"
chapter: "General Theorems"
section: "Probability theory"
topic: "Measures of statistical dispersion"
definition: "Standard deviation"

sources:
  - authors: "Wikipedia"
    year: 2020
    title: "Standard deviation"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2020-09-03"
    url: "https://en.wikipedia.org/wiki/Standard_deviation#Definition_of_population_values"

def_id: "D94"
shortcut: "std"
username: "JoramSoch"
---


**Definition:** The standard deviation $\sigma$ of a [random variable](/D/rvar) $X$ with [expected value](/D/mean) $\mu$ is defined as the square root of the [variance](/D/var), i.e.

$$ \label{eq:std}
\sigma(X) = \sqrt{\mathrm{E}\left[ (X-\mu)^2 \right]} \; .
$$