---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2021-03-31 09:32:00

title: "One-tailed and two-tailed test"
chapter: "General Theorems"
section: "Frequentist statistics"
topic: "Hypothesis testing"
definition: "One-tailed vs. two-tailed"

sources:
  - authors: "Wikipedia"
    year: 2021
    title: "One- and two-tailed tests"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2021-03-31"
    url: "https://en.wikipedia.org/wiki/One-_and_two-tailed_tests"

def_id: "D139"
shortcut: "test-tail"
username: "JoramSoch"
---


**Definition:** Let there be a [statistical test](/D/test) of an [alternative hypothesis](/D/h1) $H_1$ against a [null hypothesis](/D/h0) $H_0$. Then,

* the test is called a one-tailed test, if $H_1$ is a [one-tailed hypothesis](/D/hyp-tail);

* the test is called a two-tailed test, if $H_1$ is a [two-tailed hypothesis](/D/hyp-tail).

The fact whether a [test](/D/test) is one-tailed or two-tailed has consequences for the computation of [critical value](/D/cval) and [p-value](/D/pval).