---
layout: definition
mathjax: true

author: "Joram Soch"
affiliation: "BCCN Berlin"
e_mail: "joram.soch@bccn-berlin.de"
date: 2021-03-19 14:40:00

title: "Test statistic"
chapter: "General Theorems"
section: "Frequentist statistics"
topic: "Hypothesis testing"
definition: "Test statistic"

sources:
  - authors: "Wikipedia"
    year: 2021
    title: "Statistical hypothesis testing"
    in: "Wikipedia, the free encyclopedia"
    pages: "retrieved on 2021-03-19"
    url: "https://en.wikipedia.org/wiki/Statistical_hypothesis_testing#The_testing_process"

def_id: "D131"
shortcut: "tstat"
username: "JoramSoch"
---


**Definition:** In a [statistical hypothesis test](/D/test), the test statistic $T(Y)$ is a scalar function of the [measured data](/D/data) $y$ whose distribution under the [null hypothesis](/D/h0) $H_0$ can be established. Together with a [significance level](/D/alpha) $\alpha$, this distribution implies a [critical value](/D/cval) $t_\mathrm{crit}$ of the test statistic which determines whether the test rejects or fails to reject $H_0$.