---
layout: page
title: "Definition by Topic"
---


### A

- [Akaike information criterion](/D/aic)
- [Alternative hypothesis](/D/h1)

### B

- [Bayes factor](/D/bf)
- [Bayesian information criterion](/D/bic)
- [Bayesian model averaging](/D/bma)
- [Bernoulli distribution](/D/bern)
- [Beta distribution](/D/beta)
- [Beta-binomial data](/D/betabin-data)
- [Beta-binomial distribution](/D/betabin)
- [Beta-distributed data](/D/beta-data)
- [Binomial distribution](/D/bin)
- [Binomial observations](/D/bin-data)
- [Bivariate normal distribution](/D/bvn)

### C

- [Categorical distribution](/D/cat)
- [Central moment](/D/mom-cent)
- [Characteristic function](/D/cf)
- [Chi-squared distribution](/D/chi2)
- [Coefficient of determination](/D/rsq)
- [Conditional differential entropy](/D/dent-cond)
- [Conditional entropy](/D/ent-cond)
- [Conditional independence](/D/ind-cond)
- [Conditional probability distribution](/D/dist-cond)
- [Confidence interval](/D/ci)
- [Conjugate and non-conjugate prior distribution](/D/prior-conj)
- [Constant](/D/const)
- [Continuous uniform distribution](/D/cuni)
- [Corrected Akaike information criterion](/D/aicc)
- [Correlation](/D/corr)
- [Correlation matrix](/D/corrmat)
- [Corresponding forward model](/D/cfm)
- [Covariance](/D/cov)
- [Covariance matrix](/D/covmat)
- [Critical value](/D/cval)
- [Cross-covariance matrix](/D/covmat-cross)
- [Cross-entropy](/D/ent-cross)
- [Cross-validated log model evidence](/D/cvlme)
- [Cumulant-generating function](/D/cgf)
- [Cumulative distribution function](/D/cdf)

### D

- [Definition Template](/D/-temp-)
- [Deviance](/D/dev)
- [Deviance information criterion](/D/dic)
- [Differential cross-entropy](/D/dent-cross)
- [Differential entropy](/D/dent)
- [Dirichlet distribution](/D/dir)
- [Dirichlet-distributed data](/D/dir-data)
- [Discrete and continuous random variable](/D/rvar-disc)
- [Discrete uniform distribution](/D/duni)

### E

- [Empirical and theoretical prior distribution](/D/prior-emp)
- [Empirical Bayes](/D/eb)
- [Empirical Bayes prior distribution](/D/prior-eb)
- [Empirical Bayesian log model evidence](/D/eblme)
- [Encompassing model](/D/encm)
- [Estimation matrix](/D/emat)
- [Event space](/D/eve-spc)
- [ex-Gaussian distribution](/D/exg)
- [Exceedance probability](/D/prob-exc)
- [Expected value](/D/mean)
- [Expected value of a random matrix](/D/mean-rmat)
- [Expected value of a random vector](/D/mean-rvec)
- [Explained sum of squares](/D/ess)
- [Exponential distribution](/D/exp)

### F

- [F-contrast for contrast-based inference in multiple linear regression](/D/fcon)
- [F-distribution](/D/f)
- [Family evidence](/D/fe)
- [Flat, hard and soft prior distribution](/D/prior-flat)
- [Full probability model](/D/fpm)
- [Full width at half maximum](/D/fwhm)

### G

- [Gamma distribution](/D/gam)
- [General linear model](/D/glm)
- [Generative model](/D/gm)

### I

- [Informative and non-informative prior distribution](/D/prior-inf)
- [Interaction sum of squares](/D/iass)
- [Inverse general linear model](/D/iglm)

### J

- [Joint cumulative distribution function](/D/cdf-joint)
- [Joint differential entropy](/D/dent-joint)
- [Joint entropy](/D/ent-joint)
- [Joint likelihood](/D/jl)
- [Joint probability](/D/prob-joint)
- [Joint probability distribution](/D/dist-joint)

### K

- [Kolmogorov axioms of probability](/D/prob-ax)
- [Kullback-Leibler divergence](/D/kl)

### L

- [Law of conditional probability](/D/prob-cond)
- [Law of marginal probability](/D/prob-marg)
- [Likelihood function](/D/lf)
- [Log Bayes factor](/D/lbf)
- [Log family evidence](/D/lfe)
- [Log model evidence](/D/lme)
- [Log-likelihood function](/D/llf)
- [Log-normal distribution](/D/lognorm)
- [Logistic regression](/D/logreg)

### M

- [Marginal likelihood](/D/ml)
- [Marginal probability distribution](/D/dist-marg)
- [Matrix-normal distribution](/D/matn)
- [Maximum](/D/max)
- [Maximum entropy prior distribution](/D/prior-maxent)
- [Maximum likelihood estimation](/D/mle)
- [Maximum log-likelihood](/D/mll)
- [Maximum-a-posteriori estimation](/D/map)
- [Mean squared error](/D/mse)
- [Median](/D/med)
- [Method-of-moments estimation](/D/mome)
- [Minimum](/D/min)
- [Mode](/D/mode)
- [Model evidence](/D/me)
- [Moment](/D/mom)
- [Moment-generating function](/D/mgf)
- [Multinomial distribution](/D/mult)
- [Multinomial observations](/D/mult-data)
- [Multiple linear regression](/D/mlr)
- [Multivariate normal distribution](/D/mvn)
- [Multivariate t-distribution](/D/mvt)
- [Mutual exclusivity](/D/exc)
- [Mutual information](/D/mi)

### N

- [Non-standardized t-distribution](/D/nst)
- [Normal distribution](/D/norm)
- [Normal-gamma distribution](/D/ng)
- [Normal-Wishart distribution](/D/nw)
- [Null hypothesis](/D/h0)

### O

- [One-tailed and two-tailed hypothesis](/D/hyp-tail)
- [One-tailed and two-tailed test](/D/test-tail)
- [One-way analysis of variance](/D/anova1)

### P

- [p-value](/D/pval)
- [Point and set hypothesis](/D/hyp-point)
- [Poisson distribution](/D/poiss)
- [Poisson distribution with exposure values](/D/poissexp)
- [Poisson-distributed data](/D/poiss-data)
- [Posterior distribution](/D/post)
- [Posterior model probability](/D/pmp)
- [Power of a statistical test](/D/power)
- [Precision](/D/prec)
- [Precision matrix](/D/precmat)
- [Prior distribution](/D/prior)
- [Probability](/D/prob)
- [Probability density function](/D/pdf)
- [Probability distribution](/D/dist)
- [Probability mass function](/D/pmf)
- [Probability space](/D/prob-spc)
- [Probability-generating function](/D/pgf)
- [Projection matrix](/D/pmat)

### Q

- [Quantile function](/D/qf)

### R

- [Random event](/D/reve)
- [Random experiment](/D/rexp)
- [Random matrix](/D/rmat)
- [Random variable](/D/rvar)
- [Random vector](/D/rvec)
- [Raw moment](/D/mom-raw)
- [Reference prior distribution](/D/prior-ref)
- [Regression line](/D/regline)
- [Residual sum of squares](/D/rss)
- [Residual variance](/D/resvar)
- [Residual-forming matrix](/D/rfmat)

### S

- [Sample correlation coefficient](/D/corr-samp)
- [Sample correlation matrix](/D/corrmat-samp)
- [Sample covariance](/D/cov-samp)
- [Sample covariance matrix](/D/covmat-samp)
- [Sample mean](/D/mean-samp)
- [Sample skewness](/D/skew-samp)
- [Sample space](/D/samp-spc)
- [Sample variance](/D/var-samp)
- [Sampling distribution](/D/dist-samp)
- [Shannon entropy](/D/ent)
- [Signal-to-noise ratio](/D/snr)
- [Significance level](/D/alpha)
- [Simple and composite hypothesis](/D/hyp-simp)
- [Simple linear regression](/D/slr)
- [Size of a statistical test](/D/size)
- [Skewness](/D/skew)
- [Standard deviation](/D/std)
- [Standard gamma distribution](/D/sgam)
- [Standard normal distribution](/D/snorm)
- [Standard uniform distribution](/D/suni)
- [Standardized moment](/D/mom-stand)
- [Statistical hypothesis](/D/hyp)
- [Statistical hypothesis test](/D/test)
- [Statistical independence](/D/ind)

### T

- [t-contrast for contrast-based inference in multiple linear regression](/D/tcon)
- [t-distribution](/D/t)
- [Test statistic](/D/tstat)
- [Total sum of squares](/D/tss)
- [Transformed general linear model](/D/tglm)
- [Treatment sum of squares](/D/trss)
- [Two-way analysis of variance](/D/anova2)

### U

- [Uniform and non-uniform prior distribution](/D/prior-uni)
- [Uniform-prior log model evidence](/D/uplme)
- [Univariate and multivariate random variable](/D/rvar-uni)
- [Univariate Gaussian](/D/ug)
- [Univariate Gaussian with known variance](/D/ugkv)

### V

- [Variance](/D/var)
- [Variational Bayes](/D/vb)
- [Variational Bayesian log model evidence](/D/vblme)

### W

- [Wald distribution](/D/wald)
- [Wishart distribution](/D/wish)
