---
layout: page
title: "Proofs without Source"
---


- [Accuracy and complexity for the univariate Gaussian](/P/ug-anc)
- [Accuracy and complexity for the univariate Gaussian with known variance](/P/ugkv-anc)
- [Bayesian information criterion for multiple linear regression](/P/mlr-bic)
- [Chi-squared distribution is a special case of gamma distribution](/P/chi2-gam)
- [Combined posterior distributions in terms of individual posterior distributions obtained from conditionally independent data](/P/post-ind)
- [Conditional distributions of the normal-gamma distribution](/P/ng-cond)
- [Covariance and variance of the normal-gamma distribution](/P/ng-cov)
- [Covariance matrix of the categorical distribution](/P/cat-cov)
- [Cross-validated log Bayes factor for the univariate Gaussian with known variance](/P/ugkv-cvlbf)
- [Cross-validated log model evidence for the univariate Gaussian with known variance](/P/ugkv-cvlme)
- [Cumulative distribution function in terms of probability density function of a continuous random variable](/P/cdf-pdf)
- [Cumulative distribution function in terms of probability mass function of a discrete random variable](/P/cdf-pmf)
- [Cumulative distribution function of the beta-binomial distribution](/P/betabin-cdf)
- [Cumulative distribution function of the continuous uniform distribution](/P/cuni-cdf)
- [Cumulative distribution function of the discrete uniform distribution](/P/duni-cdf)
- [Cumulative distribution function of the exponential distribution](/P/exp-cdf)
- [Derivation of Bayesian model averaging](/P/bma-der)
- [Derivation of the family evidence](/P/fe-der)
- [Derivation of the log Bayes factor](/P/lbf-der)
- [Derivation of the log family evidence](/P/lfe-der)
- [Derivation of the log model evidence](/P/lme-der)
- [Derivation of the model evidence](/P/me-der)
- [Derivation of the posterior model probability](/P/pmp-der)
- [Deviance for multiple linear regression](/P/mlr-dev)
- [Deviance information criterion for multiple linear regression](/P/blr-dic)
- [Differential entropy for the matrix-normal distribution](/P/matn-dent)
- [Differential entropy of the continuous uniform distribution](/P/cuni-dent)
- [Differential entropy of the normal-gamma distribution](/P/ng-dent)
- [Effects of mean-centering on parameter estimates for simple linear regression](/P/slr-meancent)
- [Entropy of the binomial distribution](/P/bin-ent)
- [Entropy of the categorical distribution](/P/cat-ent)
- [Entropy of the discrete uniform distribution](/P/duni-ent)
- [Entropy of the multinomial distribution](/P/mult-ent)
- [Expectation of the cross-validated log Bayes factor for the univariate Gaussian with known variance](/P/ugkv-cvlbfmean)
- [Expectation of the log Bayes factor for the univariate Gaussian with known variance](/P/ugkv-lbfmean)
- [Exponential distribution is a special case of gamma distribution](/P/exp-gam)
- [F-statistic in terms of ordinary least squares estimates in one-way analysis of variance](/P/anova1-fols)
- [F-statistics in terms of ordinary least squares estimates in two-way analysis of variance](/P/anova2-fols)
- [First raw moment is mean](/P/momraw-1st)
- [Gamma distribution is a special case of Wishart distribution](/P/gam-wish)
- [Joint likelihood is the product of likelihood function and prior density](/P/jl-lfnprior)
- [Kullback-Leibler divergence for the Bernoulli distribution](/P/bern-kl)
- [Kullback-Leibler divergence for the continuous uniform distribution](/P/cuni-kl)
- [Kullback-Leibler divergence for the discrete uniform distribution](/P/duni-kl)
- [Kullback-Leibler divergence for the matrix-normal distribution](/P/matn-kl)
- [Kullback-Leibler divergence for the normal distribution](/P/norm-kl)
- [Linear combination of independent normal random variables](/P/norm-lincomb)
- [Linear transformation theorem for the matrix-normal distribution](/P/matn-ltt)
- [Log Bayes factor for binomial observations](/P/bin-lbf)
- [Log Bayes factor for multinomial observations](/P/mult-lbf)
- [Log Bayes factor for the univariate Gaussian with known variance](/P/ugkv-lbf)
- [Log model evidence for multinomial observations](/P/mult-lme)
- [Log model evidence for multivariate Bayesian linear regression](/P/mblr-lme)
- [Log model evidence for Poisson-distributed data](/P/poiss-lme)
- [Log model evidence for the Poisson distribution with exposure values](/P/poissexp-lme)
- [Log model evidence for the univariate Gaussian with known variance](/P/ugkv-lme)
- [Log model evidence in terms of prior and posterior distribution](/P/lme-pnp)
- [Marginal distributions for the matrix-normal distribution](/P/matn-marg)
- [Marginal distributions of the multivariate normal distribution](/P/mvn-marg)
- [Marginal distributions of the normal-gamma distribution](/P/ng-marg)
- [Marginal likelihood is a definite integral of joint likelihood](/P/ml-jl)
- [Maximum likelihood estimation can result in biased estimates](/P/mle-bias)
- [Maximum likelihood estimation for multinomial observations](/P/mult-mle)
- [Maximum likelihood estimation for multiple linear regression](/P/mlr-mle)
- [Maximum likelihood estimation for Poisson-distributed data](/P/poiss-mle)
- [Maximum likelihood estimation for simple linear regression](/P/slr-mle)
- [Maximum likelihood estimation for simple linear regression](/P/slr-mle2)
- [Maximum likelihood estimation for the general linear model](/P/glm-mle)
- [Maximum likelihood estimation for the Poisson distribution with exposure values](/P/poissexp-mle)
- [Maximum log-likelihood for binomial observations](/P/bin-mll)
- [Maximum log-likelihood for multinomial observations](/P/mult-mll)
- [Maximum-a-posteriori estimation for binomial observations](/P/bin-map)
- [Maximum-a-posteriori estimation for multinomial observations](/P/mult-map)
- [Mean of the categorical distribution](/P/cat-mean)
- [Mean of the continuous uniform distribution](/P/cuni-mean)
- [Mean of the ex-Gaussian distribution](/P/exg-mean)
- [Mean of the multinomial distribution](/P/mult-mean)
- [Mean of the normal-gamma distribution](/P/ng-mean)
- [Mean of the normal-Wishart distribution](/P/nw-mean)
- [Mean of the Wald distribution](/P/wald-mean)
- [Median of the continuous uniform distribution](/P/cuni-med)
- [Median of the exponential distribution](/P/exp-med)
- [Median of the log-normal distribution](/P/lognorm-med)
- [Median of the normal distribution](/P/norm-med)
- [Method of moments for ex-Gaussian-distributed data](/P/exg-mome)
- [Method of moments for Wald-distributed data](/P/wald-mome)
- [Mode of the continuous uniform distribution](/P/cuni-med)
- [Mode of the exponential distribution](/P/exp-mode)
- [Mode of the normal distribution](/P/norm-mode)
- [Moment-generating function of the ex-Gaussian distribution](/P/exg-mgf)
- [Moment-generating function of the exponential distribution](/P/exp-mgf)
- [Necessary and sufficient condition for independence of multivariate normal random variables](/P/mvn-ind)
- [Normal-gamma distribution is a special case of normal-Wishart distribution](/P/ng-nw)
- [Ordinary least squares for multiple linear regression with two regressors](/P/mlr-olstr)
- [Ordinary least squares for one-way analysis of variance](/P/anova1-ols)
- [Ordinary least squares for simple linear regression](/P/slr-ols2)
- [Ordinary least squares for the general linear model](/P/glm-ols)
- [Parameter estimates for simple linear regression are uncorrelated after mean-centering](/P/slr-olscorr)
- [Posterior density is proportional to joint likelihood](/P/post-jl)
- [Posterior probability of the alternative model for binomial observations](/P/bin-pp)
- [Posterior probability of the alternative model for multinomial observations](/P/mult-pp)
- [Probability density function of the beta distribution](/P/beta-pdf)
- [Probability density function of the bivariate normal distribution](/P/bvn-pdf)
- [Probability density function of the continuous uniform distribution](/P/cuni-pdf)
- [Probability density function of the Dirichlet distribution](/P/dir-pdf)
- [Probability density function of the ex-Gaussian distribution](/P/exg-pdf)
- [Probability density function of the exponential distribution](/P/exp-pdf)
- [Probability density function of the gamma distribution](/P/gam-pdf)
- [Probability density function of the matrix-normal distribution](/P/matn-pdf)
- [Probability density function of the multivariate normal distribution](/P/mvn-pdf)
- [Probability density function of the multivariate t-distribution](/P/mvt-pdf)
- [Probability density function of the normal distribution](/P/norm-pdf)
- [Probability density function of the normal-Wishart distribution](/P/nw-pdf)
- [Probability density function of the Wald distribution](/P/wald-pdf)
- [Probability mass function of the Bernoulli distribution](/P/bern-pmf)
- [Probability mass function of the binomial distribution](/P/bin-pmf)
- [Probability mass function of the categorical distribution](/P/cat-pmf)
- [Probability mass function of the discrete uniform distribution](/P/duni-pmf)
- [Probability mass function of the multinomial distribution](/P/mult-pmf)
- [Probability mass function of the Poisson distribution](/P/poiss-pmf)
- [Quantile function of the continuous uniform distribution](/P/cuni-qf)
- [Quantile function of the discrete uniform distribution](/P/duni-qf)
- [Quantile function of the exponential distribution](/P/exp-qf)
- [Range of the variance of the binomial distribution](/P/bin-varrange)
- [Relationship between covariance and correlation](/P/cov-corr)
- [Relationship between gamma distribution and standard gamma distribution](/P/gam-sgam)
- [Relationship between gamma distribution and standard gamma distribution](/P/gam-sgam2)
- [Relationship between non-standardized t-distribution and t-distribution](/P/nst-t)
- [Relationship between normal distribution and standard normal distribution](/P/norm-snorm)
- [Relationship between normal distribution and standard normal distribution](/P/norm-snorm2)
- [Relationship between normal distribution and standard normal distribution](/P/norm-snorm3)
- [Relationship between precision matrix and correlation matrix](/P/precmat-corrmat)
- [Relationship between R² and maximum log-likelihood](/P/rsq-mll)
- [Relationship between second raw moment, variance and mean](/P/momraw-2nd)
- [Relationship between signal-to-noise ratio and R²](/P/snr-rsq)
- [Scaling of a random variable following the gamma distribution](/P/gam-scal)
- [Simple linear regression is a special case of multiple linear regression](/P/slr-mlr)
- [Skewness of the ex-Gaussian distribution](/P/exg-skew)
- [Skewness of the exponential distribution](/P/exp-skew)
- [Skewness of the Wald distribution](/P/wald-skew)
- [Sums of squares for simple linear regression](/P/slr-sss)
- [Transformation matrices for simple linear regression](/P/slr-mat)
- [Transitivity of Bayes Factors](/P/bf-trans)
- [Transposition of a matrix-normal random variable](/P/matn-trans)
- [Variance of the continuous uniform distribution](/P/cuni-var)
- [Variance of the ex-Gaussian distribution](/P/exg-var)
- [Variance of the Wald distribution](/P/wald-var)
- [Weighted least squares for multiple linear regression](/P/mlr-wls2)
- [Weighted least squares for simple linear regression](/P/slr-wls)
- [Weighted least squares for simple linear regression](/P/slr-wls2)
- [Weighted least squares for the general linear model](/P/glm-wls)
