---
layout: page
title: "Table of Contents"
---


**[Proofs](/P/-temp-)** are printed in **bold** – *[Definitions](/D/-temp-)* are set in *italics* <br>
**Proofs**: [by Number](/I/PbN), [by Topic](/I/PbT) – *Definitions*:  [by Number](/I/DbN), [by Topic](/I/DbT) <br>
<u>Specials:</u> [General Theorems](/S/ChI), [Probability Distributions](/S/ChII), [Statistical Models](/S/ChIII), [Model Selection Criteria](/S/ChIV) <br>


<br>
<section class="chapter" id="General Theorems">
<h3>Chapter I: General Theorems</h3>
</section>

1. Probability theory
   
   1.1. Random experiments <br>
   &emsp;&ensp; 1.1.1. *[Random experiment](/D/rexp)* <br>
   &emsp;&ensp; 1.1.2. *[Sample space](/D/samp-spc)* <br>
   &emsp;&ensp; 1.1.3. *[Event space](/D/eve-spc)* <br>
   &emsp;&ensp; 1.1.4. *[Probability space](/D/prob-spc)* <br>
   
   1.2. Random variables <br>
   &emsp;&ensp; 1.2.1. *[Random event](/D/reve)* <br>
   &emsp;&ensp; 1.2.2. *[Random variable](/D/rvar)* <br>
   &emsp;&ensp; 1.2.3. *[Random vector](/D/rvec)* <br>
   &emsp;&ensp; 1.2.4. *[Random matrix](/D/rmat)* <br>
   &emsp;&ensp; 1.2.5. *[Constant](/D/const)* <br>
   &emsp;&ensp; 1.2.6. *[Discrete vs. continuous](/D/rvar-disc)* <br>
   &emsp;&ensp; 1.2.7. *[Univariate vs. multivariate](/D/rvar-uni)* <br>
   
   1.3. Probability <br>
   &emsp;&ensp; 1.3.1. *[Probability](/D/prob)* <br>
   &emsp;&ensp; 1.3.2. *[Joint probability](/D/prob-joint)* <br>
   &emsp;&ensp; 1.3.3. *[Marginal probability](/D/prob-marg)* <br>
   &emsp;&ensp; 1.3.4. *[Conditional probability](/D/prob-cond)* <br>
   &emsp;&ensp; 1.3.5. *[Exceedance probability](/D/prob-exc)* <br>
   &emsp;&ensp; 1.3.6. *[Statistical independence](/D/ind)* <br>
   &emsp;&ensp; 1.3.7. *[Conditional independence](/D/ind-cond)* <br>
   &emsp;&ensp; 1.3.8. **[Probability under independence](/P/prob-ind)** <br>
   &emsp;&ensp; 1.3.9. *[Mutual exclusivity](/D/exc)* <br>
   &emsp;&ensp; 1.3.10. **[Probability under exclusivity](/P/prob-exc)** <br>
   
   1.4. Probability axioms <br>
   &emsp;&ensp; 1.4.1. *[Axioms of probability](/D/prob-ax)* <br>
   &emsp;&ensp; 1.4.2. **[Monotonicity of probability](/P/prob-mon)** <br>
   &emsp;&ensp; 1.4.3. **[Probability of the empty set](/P/prob-emp)** <br>
   &emsp;&ensp; 1.4.4. **[Probability of the complement](/P/prob-comp)** <br>
   &emsp;&ensp; 1.4.5. **[Range of probability](/P/prob-range)** <br>
   &emsp;&ensp; 1.4.6. **[Addition law of probability](/P/prob-add)** <br>
   &emsp;&ensp; 1.4.7. **[Law of total probability](/P/prob-tot)** <br>
   &emsp;&ensp; 1.4.8. **[Probability of exhaustive events](/P/prob-exh)** (1) <br>
   &emsp;&ensp; 1.4.9. **[Probability of exhaustive events](/P/prob-exh2)** (2) <br>
   
   1.5. Probability distributions <br>
   &emsp;&ensp; 1.5.1. *[Probability distribution](/D/dist)* <br>
   &emsp;&ensp; 1.5.2. *[Joint distribution](/D/dist-joint)* <br>
   &emsp;&ensp; 1.5.3. *[Marginal distribution](/D/dist-marg)* <br>
   &emsp;&ensp; 1.5.4. *[Conditional distribution](/D/dist-cond)* <br>
   &emsp;&ensp; 1.5.5. *[Sampling distribution](/D/dist-samp)* <br>
   
   1.6. Probability mass function <br>
   &emsp;&ensp; 1.6.1. *[Definition](/D/pmf)* <br>
   &emsp;&ensp; 1.6.2. **[Probability mass function of sum of independents](/P/pmf-sumind)** <br>
   &emsp;&ensp; 1.6.3. **[Probability mass function of strictly increasing function](/P/pmf-sifct)** <br>
   &emsp;&ensp; 1.6.4. **[Probability mass function of strictly decreasing function](/P/pmf-sdfct)** <br>
   &emsp;&ensp; 1.6.5. **[Probability mass function of invertible function](/P/pmf-invfct)** <br>
   
   1.7. Probability density function <br>
   &emsp;&ensp; 1.7.1. *[Definition](/D/pdf)* <br>
   &emsp;&ensp; 1.7.2. **[Probability density function of sum of independents](/P/pdf-sumind)** <br>
   &emsp;&ensp; 1.7.3. **[Probability density function of strictly increasing function](/P/pdf-sifct)** <br>
   &emsp;&ensp; 1.7.4. **[Probability density function of strictly decreasing function](/P/pdf-sdfct)** <br>
   &emsp;&ensp; 1.7.5. **[Probability density function of invertible function](/P/pdf-invfct)** <br>
   &emsp;&ensp; 1.7.6. **[Probability density function of linear transformation](/P/pdf-linfct)** <br>
   &emsp;&ensp; 1.7.7. **[Probability density function in terms of cumulative distribution function](/P/pdf-cdf)** <br>
   
   1.8. Cumulative distribution function <br>
   &emsp;&ensp; 1.8.1. *[Definition](/D/cdf)* <br>
   &emsp;&ensp; 1.8.2. **[Cumulative distribution function of sum of independents](/P/cdf-sumind)** <br>
   &emsp;&ensp; 1.8.3. **[Cumulative distribution function of strictly increasing function](/P/cdf-sifct)** <br>
   &emsp;&ensp; 1.8.4. **[Cumulative distribution function of strictly decreasing function](/P/cdf-sdfct)** <br>
   &emsp;&ensp; 1.8.5. **[Cumulative distribution function of discrete random variable](/P/cdf-pmf)** <br>
   &emsp;&ensp; 1.8.6. **[Cumulative distribution function of continuous random variable](/P/cdf-pdf)** <br>
   &emsp;&ensp; 1.8.7. **[Probability integral transform](/P/cdf-pit)** <br>
   &emsp;&ensp; 1.8.8. **[Inverse transformation method](/P/cdf-itm)** <br>
   &emsp;&ensp; 1.8.9. **[Distributional transformation](/P/cdf-dt)** <br>
   &emsp;&ensp; 1.8.10. *[Joint cumulative distribution function](/D/cdf-joint)* <br>
   
   1.9. Other probability functions <br>
   &emsp;&ensp; 1.9.1. *[Quantile function](/D/qf)* <br>
   &emsp;&ensp; 1.9.2. **[Quantile function in terms of cumulative distribution function](/P/qf-cdf)** <br>
   &emsp;&ensp; 1.9.3. *[Characteristic function](/D/cf)* <br>
   &emsp;&ensp; 1.9.4. **[Characteristic function of arbitrary function](/P/cf-fct)** <br>
   &emsp;&ensp; 1.9.5. *[Moment-generating function](/D/mgf)* <br>
   &emsp;&ensp; 1.9.6. **[Moment-generating function of arbitrary function](/P/mgf-fct)** <br>
   &emsp;&ensp; 1.9.7. **[Moment-generating function of linear transformation](/P/mgf-ltt)** <br>
   &emsp;&ensp; 1.9.8. **[Moment-generating function of linear combination](/P/mgf-lincomb)** <br>
   &emsp;&ensp; 1.9.9. *[Probability-generating function](/D/pgf)* <br>
   &emsp;&ensp; 1.9.10. **[Probability-generating function in terms of expected value](/P/pgf-mean)** <br>
   &emsp;&ensp; 1.9.11. **[Probability-generating function of zero](/P/pgf-zero)** <br>
   &emsp;&ensp; 1.9.12. **[Probability-generating function of one](/P/pgf-one)** <br>
   &emsp;&ensp; 1.9.13. *[Cumulant-generating function](/D/cgf)* <br>
   
   1.10. Expected value <br>
   &emsp;&ensp; 1.10.1. *[Definition](/D/mean)* <br>
   &emsp;&ensp; 1.10.2. *[Sample mean](/D/mean-samp)* <br>
   &emsp;&ensp; 1.10.3. **[Non-negative random variable](/P/mean-nnrvar)** <br>
   &emsp;&ensp; 1.10.4. **[Non-negativity](/P/mean-nonneg)** <br>
   &emsp;&ensp; 1.10.5. **[Linearity](/P/mean-lin)** <br>
   &emsp;&ensp; 1.10.6. **[Monotonicity](/P/mean-mono)** <br>
   &emsp;&ensp; 1.10.7. **[(Non-)Multiplicativity](/P/mean-mult)** <br>
   &emsp;&ensp; 1.10.8. **[Expectation of a trace](/P/mean-tr)** <br>
   &emsp;&ensp; 1.10.9. **[Expectation of a quadratic form](/P/mean-qf)** <br>
   &emsp;&ensp; 1.10.10. **[Squared expectation of a product](/P/mean-prodsqr)** <br>
   &emsp;&ensp; 1.10.11. **[Law of total expectation](/P/mean-tot)** <br>
   &emsp;&ensp; 1.10.12. **[Law of the unconscious statistician](/P/mean-lotus)** <br>
   &emsp;&ensp; 1.10.13. *[Expected value of a random vector](/D/mean-rvec)* <br>
   &emsp;&ensp; 1.10.14. *[Expected value of a random matrix](/D/mean-rmat)* <br>
   
   1.11. Variance <br>
   &emsp;&ensp; 1.11.1. *[Definition](/D/var)* <br>
   &emsp;&ensp; 1.11.2. *[Sample variance](/D/var-samp)* <br>
   &emsp;&ensp; 1.11.3. **[Partition into expected values](/P/var-mean)** <br>
   &emsp;&ensp; 1.11.4. **[Non-negativity](/P/var-nonneg)** <br>
   &emsp;&ensp; 1.11.5. **[Variance of a constant](/P/var-const)** <br>
   &emsp;&ensp; 1.11.6. **[Invariance under addition](/P/var-inv)** <br>
   &emsp;&ensp; 1.11.7. **[Scaling upon multiplication](/P/var-scal)** <br>
   &emsp;&ensp; 1.11.8. **[Variance of a sum](/P/var-sum)** <br>
   &emsp;&ensp; 1.11.9. **[Variance of linear combination](/P/var-lincomb)** <br>
   &emsp;&ensp; 1.11.10. **[Additivity under independence](/P/var-add)** <br>
   &emsp;&ensp; 1.11.11. **[Law of total variance](/P/var-tot)** <br>
   &emsp;&ensp; 1.11.12. *[Precision](/D/prec)* <br>
   
   1.12. Skewness <br>
   &emsp;&ensp; 1.12.1. *[Definition](/D/skew)* <br>
   &emsp;&ensp; 1.12.2. *[Sample skewness](/D/skew-samp)* <br>
   &emsp;&ensp; 1.12.3. **[Partition into expected values](/P/skew-mean)** <br>
   
   1.13. Covariance <br>
   &emsp;&ensp; 1.13.1. *[Definition](/D/cov)* <br>
   &emsp;&ensp; 1.13.2. *[Sample covariance](/D/cov-samp)* <br>
   &emsp;&ensp; 1.13.3. **[Partition into expected values](/P/cov-mean)** <br>
   &emsp;&ensp; 1.13.4. **[Symmetry](/P/cov-symm)** <br>
   &emsp;&ensp; 1.13.5. **[Self-covariance](/P/cov-var)** <br>
   &emsp;&ensp; 1.13.6. **[Covariance under independence](/P/cov-ind)** <br>
   &emsp;&ensp; 1.13.7. **[Relationship to correlation](/P/cov-corr)** <br>
   &emsp;&ensp; 1.13.8. **[Law of total covariance](/P/cov-tot)** <br>
   &emsp;&ensp; 1.13.9. *[Covariance matrix](/D/covmat)* <br>
   &emsp;&ensp; 1.13.10. *[Sample covariance matrix](/D/covmat-samp)* <br>
   &emsp;&ensp; 1.13.11. **[Covariance matrix and expected values](/P/covmat-mean)** <br>
   &emsp;&ensp; 1.13.12. **[Symmetry](/P/covmat-symm)** <br>
   &emsp;&ensp; 1.13.13. **[Positive semi-definiteness](/P/covmat-psd)** <br>
   &emsp;&ensp; 1.13.14. **[Invariance under addition of vector](/P/covmat-inv)** <br>
   &emsp;&ensp; 1.13.15. **[Scaling upon multiplication with matrix](/P/covmat-scal)** <br>
   &emsp;&ensp; 1.13.16. *[Cross-covariance matrix](/D/covmat-cross)* <br>
   &emsp;&ensp; 1.13.17. **[Covariance matrix of a sum](/P/covmat-sum)** <br>
   &emsp;&ensp; 1.13.18. **[Covariance matrix and correlation matrix](/P/covmat-corrmat)** <br>
   &emsp;&ensp; 1.13.19. *[Precision matrix](/D/precmat)* <br>
   &emsp;&ensp; 1.13.20. **[Precision matrix and correlation matrix](/P/precmat-corrmat)** <br>
   
   1.14. Correlation <br>
   &emsp;&ensp; 1.14.1. *[Definition](/D/corr)* <br>
   &emsp;&ensp; 1.14.2. **[Range](/P/corr-range)** <br>
   &emsp;&ensp; 1.14.3. *[Sample correlation coefficient](/D/corr-samp)* <br>
   &emsp;&ensp; 1.14.4. **[Relationship to standard scores](/P/corr-z)** <br>
   &emsp;&ensp; 1.14.5. *[Correlation matrix](/D/corrmat)* <br>
   &emsp;&ensp; 1.14.6. *[Sample correlation matrix](/D/corrmat-samp)* <br>
   
   1.15. Measures of central tendency <br>
   &emsp;&ensp; 1.15.1. *[Median](/D/med)* <br>
   &emsp;&ensp; 1.15.2. *[Mode](/D/mode)* <br>
   
   1.16. Measures of statistical dispersion <br>
   &emsp;&ensp; 1.16.1. *[Standard deviation](/D/std)* <br>
   &emsp;&ensp; 1.16.2. *[Full width at half maximum](/D/fwhm)* <br>
   
   1.17. Further summary statistics <br>
   &emsp;&ensp; 1.17.1. *[Minimum](/D/min)* <br>
   &emsp;&ensp; 1.17.2. *[Maximum](/D/max)* <br>
   
   1.18. Further moments <br>
   &emsp;&ensp; 1.18.1. *[Moment](/D/mom)* <br>
   &emsp;&ensp; 1.18.2. **[Moment in terms of moment-generating function](/P/mom-mgf)** <br>
   &emsp;&ensp; 1.18.3. *[Raw moment](/D/mom-raw)* <br>
   &emsp;&ensp; 1.18.4. **[First raw moment is mean](/P/momraw-1st)** <br>
   &emsp;&ensp; 1.18.5. **[Second raw moment and variance](/P/momraw-2nd)** <br>
   &emsp;&ensp; 1.18.6. *[Central moment](/D/mom-cent)* <br>
   &emsp;&ensp; 1.18.7. **[First central moment is zero](/P/momcent-1st)** <br>
   &emsp;&ensp; 1.18.8. **[Second central moment is variance](/P/momcent-2nd)** <br>
   &emsp;&ensp; 1.18.9. *[Standardized moment](/D/mom-stand)* <br>

2. Information theory
   
   2.1. Shannon entropy <br>
   &emsp;&ensp; 2.1.1. *[Definition](/D/ent)* <br>
   &emsp;&ensp; 2.1.2. **[Non-negativity](/P/ent-nonneg)** <br>
   &emsp;&ensp; 2.1.3. **[Concavity](/P/ent-conc)** <br>
   &emsp;&ensp; 2.1.4. *[Conditional entropy](/D/ent-cond)* <br>
   &emsp;&ensp; 2.1.5. *[Joint entropy](/D/ent-joint)* <br>
   &emsp;&ensp; 2.1.6. *[Cross-entropy](/D/ent-cross)* <br>
   &emsp;&ensp; 2.1.7. **[Convexity of cross-entropy](/P/entcross-conv)** <br>
   &emsp;&ensp; 2.1.8. **[Gibbs' inequality](/P/gibbs-ineq)** <br>
   &emsp;&ensp; 2.1.9. **[Log sum inequality](/P/logsum-ineq)** <br>
   
   2.2. Differential entropy <br>
   &emsp;&ensp; 2.2.1. *[Definition](/D/dent)* <br>
   &emsp;&ensp; 2.2.2. **[Negativity](/P/dent-neg)** <br>
   &emsp;&ensp; 2.2.3. **[Invariance under addition](/P/dent-inv)** <br>
   &emsp;&ensp; 2.2.4. **[Addition upon multiplication](/P/dent-add)** <br>
   &emsp;&ensp; 2.2.5. **[Addition upon matrix multiplication](/P/dent-addvec)** <br>
   &emsp;&ensp; 2.2.6. **[Non-invariance and transformation](/P/dent-noninv)** <br>
   &emsp;&ensp; 2.2.7. *[Conditional differential entropy](/D/dent-cond)* <br>
   &emsp;&ensp; 2.2.8. *[Joint differential entropy](/D/dent-joint)* <br>
   &emsp;&ensp; 2.2.9. *[Differential cross-entropy](/D/dent-cross)* <br>
   
   2.3. Discrete mutual information <br>
   &emsp;&ensp; 2.3.1. *[Definition](/D/mi)* <br>
   &emsp;&ensp; 2.3.2. **[Relation to marginal and conditional entropy](/P/dmi-mce)** <br>
   &emsp;&ensp; 2.3.3. **[Relation to marginal and joint entropy](/P/dmi-mje)** <br>
   &emsp;&ensp; 2.3.4. **[Relation to joint and conditional entropy](/P/dmi-jce)** <br>
   
   2.4. Continuous mutual information <br>
   &emsp;&ensp; 2.4.1. *[Definition](/D/mi)* <br>
   &emsp;&ensp; 2.4.2. **[Relation to marginal and conditional differential entropy](/P/cmi-mcde)** <br>
   &emsp;&ensp; 2.4.3. **[Relation to marginal and joint differential entropy](/P/cmi-mjde)** <br>
   &emsp;&ensp; 2.4.4. **[Relation to joint and conditional differential entropy](/P/cmi-jcde)** <br>
   
   2.5. Kullback-Leibler divergence <br>
   &emsp;&ensp; 2.5.1. *[Definition](/D/kl)* <br>
   &emsp;&ensp; 2.5.2. **[Non-negativity](/P/kl-nonneg)** (1) <br>
   &emsp;&ensp; 2.5.3. **[Non-negativity](/P/kl-nonneg2)** (2) <br>
   &emsp;&ensp; 2.5.4. **[Non-symmetry](/P/kl-nonsymm)** <br>
   &emsp;&ensp; 2.5.5. **[Convexity](/P/kl-conv)** <br>
   &emsp;&ensp; 2.5.6. **[Additivity for independent distributions](/P/kl-add)** <br>
   &emsp;&ensp; 2.5.7. **[Invariance under parameter transformation](/P/kl-inv)** <br>
   &emsp;&ensp; 2.5.8. **[Relation to discrete entropy](/P/kl-ent)** <br>
   &emsp;&ensp; 2.5.9. **[Relation to differential entropy](/P/kl-dent)** <br>

3. Estimation theory
   
   3.1. Point estimates <br>
   &emsp;&ensp; 3.1.1. *[Mean squared error](/D/mse)* <br>
   &emsp;&ensp; 3.1.2. **[Partition of the mean squared error into bias and variance](/P/mse-bnv)** <br>
   
   3.2. Interval estimates <br>
   &emsp;&ensp; 3.2.1. *[Confidence interval](/D/ci)* <br>
   &emsp;&ensp; 3.2.2. **[Construction of confidence intervals using Wilks' theorem](/P/ci-wilks)** <br>

4. Frequentist statistics
   
   4.1. Likelihood theory <br>
   &emsp;&ensp; 4.1.1. *[Likelihood function](/D/lf)* <br>
   &emsp;&ensp; 4.1.2. *[Log-likelihood function](/D/llf)* <br>
   &emsp;&ensp; 4.1.3. *[Maximum likelihood estimation](/D/mle)* <br>
   &emsp;&ensp; 4.1.4. **[MLE can be biased](/P/mle-bias)** <br>
   &emsp;&ensp; 4.1.5. *[Maximum log-likelihood](/D/mll)* <br>
   &emsp;&ensp; 4.1.6. *[Method of moments](/D/mome)* <br>
   
   4.2. Statistical hypotheses <br>
   &emsp;&ensp; 4.2.1. *[Statistical hypothesis](/D/hyp)* <br>
   &emsp;&ensp; 4.2.2. *[Simple vs. composite](/D/hyp-simp)* <br>
   &emsp;&ensp; 4.2.3. *[Point/exact vs. set/inexact](/D/hyp-point)* <br>
   &emsp;&ensp; 4.2.4. *[One-tailed vs. two-tailed](/D/hyp-tail)* <br>
   
   4.3. Hypothesis testing <br>
   &emsp;&ensp; 4.3.1. *[Statistical test](/D/test)* <br>
   &emsp;&ensp; 4.3.2. *[Null hypothesis](/D/h0)* <br>
   &emsp;&ensp; 4.3.3. *[Alternative hypothesis](/D/h1)* <br>
   &emsp;&ensp; 4.3.4. *[One-tailed vs. two-tailed](/D/test-tail)* <br>
   &emsp;&ensp; 4.3.5. *[Test statistic](/D/tstat)* <br>
   &emsp;&ensp; 4.3.6. *[Size of a test](/D/size)* <br>
   &emsp;&ensp; 4.3.7. *[Power of a test](/D/power)* <br>
   &emsp;&ensp; 4.3.8. *[Significance level](/D/alpha)* <br>
   &emsp;&ensp; 4.3.9. *[Critical value](/D/cval)* <br>
   &emsp;&ensp; 4.3.10. *[p-value](/D/pval)* <br>
   &emsp;&ensp; 4.3.11. **[Distribution of p-value under null hypothesis](/P/pval-h0)** <br>

5. Bayesian statistics
   
   5.1. Probabilistic modeling <br>
   &emsp;&ensp; 5.1.1. *[Generative model](/D/gm)* <br>
   &emsp;&ensp; 5.1.2. *[Likelihood function](/D/lf)* <br>
   &emsp;&ensp; 5.1.3. *[Prior distribution](/D/prior)* <br>
   &emsp;&ensp; 5.1.4. *[Full probability model](/D/fpm)* <br>
   &emsp;&ensp; 5.1.5. *[Joint likelihood](/D/jl)* <br>
   &emsp;&ensp; 5.1.6. **[Joint likelihood is product of likelihood and prior](/P/jl-lfnprior)** <br>
   &emsp;&ensp; 5.1.7. *[Posterior distribution](/D/post)* <br>
   &emsp;&ensp; 5.1.8. *[Maximum-a-posteriori estimation](/D/map)* <br>
   &emsp;&ensp; 5.1.9. **[Posterior density is proportional to joint likelihood](/P/post-jl)** <br>
   &emsp;&ensp; 5.1.10. **[Combined posterior distribution from independent data](/P/post-ind)** <br>
   &emsp;&ensp; 5.1.11. *[Marginal likelihood](/D/ml)* <br>
   &emsp;&ensp; 5.1.12. **[Marginal likelihood is integral of joint likelihood](/P/ml-jl)** <br>
   
   5.2. Prior distributions <br>
   &emsp;&ensp; 5.2.1. *[Flat vs. hard vs. soft](/D/prior-flat)* <br>
   &emsp;&ensp; 5.2.2. *[Uniform vs. non-uniform](/D/prior-uni)* <br>
   &emsp;&ensp; 5.2.3. *[Informative vs. non-informative](/D/prior-inf)* <br>
   &emsp;&ensp; 5.2.4. *[Empirical vs. non-empirical](/D/prior-emp)* <br>
   &emsp;&ensp; 5.2.5. *[Conjugate vs. non-conjugate](/D/prior-conj)* <br>
   &emsp;&ensp; 5.2.6. *[Maximum entropy priors](/D/prior-maxent)* <br>
   &emsp;&ensp; 5.2.7. *[Empirical Bayes priors](/D/prior-eb)* <br>
   &emsp;&ensp; 5.2.8. *[Reference priors](/D/prior-ref)* <br>
   
   5.3. Bayesian inference <br>
   &emsp;&ensp; 5.3.1. **[Bayes' theorem](/P/bayes-th)** <br>
   &emsp;&ensp; 5.3.2. **[Bayes' rule](/P/bayes-rule)** <br>
   &emsp;&ensp; 5.3.3. *[Empirical Bayes](/D/eb)* <br>
   &emsp;&ensp; 5.3.4. *[Variational Bayes](/D/vb)* <br>


<br>
<section class="chapter" id="Probability Distributions">
<h3>Chapter II: Probability Distributions</h3>
</section>

1. Univariate discrete distributions

   1.1. Discrete uniform distribution <br>
   &emsp;&ensp; 1.1.1. *[Definition](/D/duni)* <br>
   &emsp;&ensp; 1.1.2. **[Probability mass function](/P/duni-pmf)** <br>
   &emsp;&ensp; 1.1.3. **[Cumulative distribution function](/P/duni-cdf)** <br>
   &emsp;&ensp; 1.1.4. **[Quantile function](/P/duni-qf)** <br>
   &emsp;&ensp; 1.1.5. **[Shannon entropy](/P/duni-ent)** <br>
   &emsp;&ensp; 1.1.6. **[Kullback-Leibler divergence](/P/duni-kl)** <br>
   &emsp;&ensp; 1.1.7. **[Maximum entropy distribution](/P/duni-maxent)** <br>

   1.2. Bernoulli distribution <br>
   &emsp;&ensp; 1.2.1. *[Definition](/D/bern)* <br>
   &emsp;&ensp; 1.2.2. **[Probability mass function](/P/bern-pmf)** <br>
   &emsp;&ensp; 1.2.3. **[Mean](/P/bern-mean)** <br>
   &emsp;&ensp; 1.2.4. **[Variance](/P/bern-var)** <br>
   &emsp;&ensp; 1.2.5. **[Range of variance](/P/bern-varrange)** <br>
   &emsp;&ensp; 1.2.6. **[Shannon entropy](/P/bern-ent)** <br>
   &emsp;&ensp; 1.2.7. **[Kullback-Leibler divergence](/P/bern-kl)** <br>

   1.3. Binomial distribution <br>
   &emsp;&ensp; 1.3.1. *[Definition](/D/bin)* <br>
   &emsp;&ensp; 1.3.2. **[Probability mass function](/P/bin-pmf)** <br>
   &emsp;&ensp; 1.3.3. **[Probability-generating function](/P/bin-pgf)** <br>
   &emsp;&ensp; 1.3.4. **[Mean](/P/bin-mean)** <br>
   &emsp;&ensp; 1.3.5. **[Variance](/P/bin-var)** <br>
   &emsp;&ensp; 1.3.6. **[Range of variance](/P/bin-varrange)** <br>
   &emsp;&ensp; 1.3.7. **[Shannon entropy](/P/bin-ent)** <br>
   &emsp;&ensp; 1.3.8. **[Kullback-Leibler divergence](/P/bin-kl)** <br>
   &emsp;&ensp; 1.3.9. **[Conditional binomial](/P/bin-margcond)** <br>
   
   1.4. Beta-binomial distribution <br>
   &emsp;&ensp; 1.4.1. *[Definition](/D/betabin)* <br>
   &emsp;&ensp; 1.4.2. **[Probability mass function](/P/betabin-pmf)** <br>
   &emsp;&ensp; 1.4.3. **[Probability mass function in terms of gamma function](/P/betabin-pmfitogf)** <br>
   &emsp;&ensp; 1.4.4. **[Cumulative distribution function](/P/betabin-cdf)** <br>
   
   1.5. Poisson distribution <br>
   &emsp;&ensp; 1.5.1. *[Definition](/D/poiss)* <br>
   &emsp;&ensp; 1.5.2. **[Probability mass function](/P/poiss-pmf)** <br>
   &emsp;&ensp; 1.5.3. **[Mean](/P/poiss-mean)** <br>
   &emsp;&ensp; 1.5.4. **[Variance](/P/poiss-var)** <br>

2. Multivariate discrete distributions

   2.1. Categorical distribution <br>
   &emsp;&ensp; 2.1.1. *[Definition](/D/cat)* <br>
   &emsp;&ensp; 2.1.2. **[Probability mass function](/P/cat-pmf)** <br>
   &emsp;&ensp; 2.1.3. **[Mean](/P/cat-mean)** <br>
   &emsp;&ensp; 2.1.4. **[Covariance](/P/cat-cov)** <br>
   &emsp;&ensp; 2.1.5. **[Shannon entropy](/P/cat-ent)** <br>

   2.2. Multinomial distribution <br>
   &emsp;&ensp; 2.2.1. *[Definition](/D/mult)* <br>
   &emsp;&ensp; 2.2.2. **[Probability mass function](/P/mult-pmf)** <br>
   &emsp;&ensp; 2.2.3. **[Mean](/P/mult-mean)** <br>
   &emsp;&ensp; 2.2.4. **[Covariance](/P/mult-cov)** <br>
   &emsp;&ensp; 2.2.5. **[Shannon entropy](/P/mult-ent)** <br>

3. Univariate continuous distributions

   3.1. Continuous uniform distribution <br>
   &emsp;&ensp; 3.1.1. *[Definition](/D/cuni)* <br>
   &emsp;&ensp; 3.1.2. *[Standard uniform distribution](/D/suni)* <br>
   &emsp;&ensp; 3.1.3. **[Probability density function](/P/cuni-pdf)** <br>
   &emsp;&ensp; 3.1.4. **[Cumulative distribution function](/P/cuni-cdf)** <br>
   &emsp;&ensp; 3.1.5. **[Quantile function](/P/cuni-qf)** <br>
   &emsp;&ensp; 3.1.6. **[Mean](/P/cuni-mean)** <br>
   &emsp;&ensp; 3.1.7. **[Median](/P/cuni-med)** <br>
   &emsp;&ensp; 3.1.8. **[Mode](/P/cuni-mode)** <br>
   &emsp;&ensp; 3.1.9. **[Variance](/P/cuni-var)** <br>
   &emsp;&ensp; 3.1.10. **[Differential entropy](/P/cuni-dent)** <br>
   &emsp;&ensp; 3.1.11. **[Kullback-Leibler divergence](/P/cuni-kl)** <br>
   &emsp;&ensp; 3.1.12. **[Maximum entropy distribution](/P/cuni-maxent)** <br>

   3.2. Normal distribution <br>
   &emsp;&ensp; 3.2.1. *[Definition](/D/norm)* <br>
   &emsp;&ensp; 3.2.2. **[Special case of multivariate normal distribution](/P/norm-mvn)** <br>
   &emsp;&ensp; 3.2.3. *[Standard normal distribution](/D/snorm)* <br>
   &emsp;&ensp; 3.2.4. **[Relationship to standard normal distribution](/P/norm-snorm)** (1) <br>
   &emsp;&ensp; 3.2.5. **[Relationship to standard normal distribution](/P/norm-snorm2)** (2) <br>
   &emsp;&ensp; 3.2.6. **[Relationship to standard normal distribution](/P/norm-snorm3)** (3) <br>
   &emsp;&ensp; 3.2.7. **[Relationship to chi-squared distribution](/P/norm-chi2)** <br>
   &emsp;&ensp; 3.2.8. **[Relationship to t-distribution](/P/norm-t)** <br>
   &emsp;&ensp; 3.2.9. **[Gaussian integral](/P/norm-gi)** <br>
   &emsp;&ensp; 3.2.10. **[Probability density function](/P/norm-pdf)** <br>
   &emsp;&ensp; 3.2.11. **[Moment-generating function](/P/norm-mgf)** <br>
   &emsp;&ensp; 3.2.12. **[Cumulative distribution function](/P/norm-cdf)** <br>
   &emsp;&ensp; 3.2.13. **[Cumulative distribution function without error function](/P/norm-cdfwerf)** <br>
   &emsp;&ensp; 3.2.14. **[Probability of being within standard deviations from mean](/P/norm-probstd)** <br>
   &emsp;&ensp; 3.2.15. **[Quantile function](/P/norm-qf)** <br>
   &emsp;&ensp; 3.2.16. **[Mean](/P/norm-mean)** <br>
   &emsp;&ensp; 3.2.17. **[Median](/P/norm-med)** <br>
   &emsp;&ensp; 3.2.18. **[Mode](/P/norm-mode)** <br>
   &emsp;&ensp; 3.2.19. **[Variance](/P/norm-var)** <br>
   &emsp;&ensp; 3.2.20. **[Full width at half maximum](/P/norm-fwhm)** <br>
   &emsp;&ensp; 3.2.21. **[Extreme points](/P/norm-extr)** <br>
   &emsp;&ensp; 3.2.22. **[Inflection points](/P/norm-infl)** <br>
   &emsp;&ensp; 3.2.23. **[Differential entropy](/P/norm-dent)** <br>
   &emsp;&ensp; 3.2.24. **[Kullback-Leibler divergence](/P/norm-kl)** <br>
   &emsp;&ensp; 3.2.25. **[Maximum entropy distribution](/P/norm-maxent)** <br>
   &emsp;&ensp; 3.2.26. **[Linear combination](/P/norm-lincomb)** <br>
   
   3.3. t-distribution <br>
   &emsp;&ensp; 3.3.1. *[Definition](/D/t)* <br>
   &emsp;&ensp; 3.3.2. **[Special case of multivariate t-distribution](/P/t-mvt)** <br>
   &emsp;&ensp; 3.3.3. *[Non-standardized t-distribution](/D/nst)* <br>
   &emsp;&ensp; 3.3.4. **[Relationship to non-standardized t-distribution](/P/nst-t)** <br>
   &emsp;&ensp; 3.3.5. **[Probability density function](/P/t-pdf)** <br>

   3.4. Gamma distribution <br>
   &emsp;&ensp; 3.4.1. *[Definition](/D/gam)* <br>
   &emsp;&ensp; 3.4.2. **[Special case of Wishart distribution](/P/gam-wish)** <br>
   &emsp;&ensp; 3.4.3. *[Standard gamma distribution](/D/sgam)* <br>
   &emsp;&ensp; 3.4.4. **[Relationship to standard gamma distribution](/P/gam-sgam)** (1) <br>
   &emsp;&ensp; 3.4.5. **[Relationship to standard gamma distribution](/P/gam-sgam2)** (2) <br>
   &emsp;&ensp; 3.4.6. **[Scaling of a gamma random variable](/P/gam-scal)** <br>
   &emsp;&ensp; 3.4.7. **[Probability density function](/P/gam-pdf)** <br>
   &emsp;&ensp; 3.4.8. **[Cumulative distribution function](/P/gam-cdf)** <br>
   &emsp;&ensp; 3.4.9. **[Quantile function](/P/gam-qf)** <br>
   &emsp;&ensp; 3.4.10. **[Mean](/P/gam-mean)** <br>
   &emsp;&ensp; 3.4.11. **[Variance](/P/gam-var)** <br>
   &emsp;&ensp; 3.4.12. **[Logarithmic expectation](/P/gam-logmean)** <br>
   &emsp;&ensp; 3.4.13. **[Expectation of x ln x](/P/gam-xlogx)** <br>
   &emsp;&ensp; 3.4.14. **[Differential entropy](/P/gam-dent)** <br>
   &emsp;&ensp; 3.4.15. **[Kullback-Leibler divergence](/P/gam-kl)** <br>

   3.5. Exponential distribution <br>
   &emsp;&ensp; 3.5.1. *[Definition](/D/exp)* <br>
   &emsp;&ensp; 3.5.2. **[Special case of gamma distribution](/P/exp-gam)** <br>
   &emsp;&ensp; 3.5.3. **[Probability density function](/P/exp-pdf)** <br>
   &emsp;&ensp; 3.5.4. **[Moment-generating function](/P/exp-mgf)** <br>
   &emsp;&ensp; 3.5.5. **[Cumulative distribution function](/P/exp-cdf)** <br>
   &emsp;&ensp; 3.5.6. **[Quantile function](/P/exp-qf)** <br>
   &emsp;&ensp; 3.5.7. **[Mean](/P/exp-mean)** <br>
   &emsp;&ensp; 3.5.8. **[Median](/P/exp-med)** <br>
   &emsp;&ensp; 3.5.9. **[Mode](/P/exp-mode)** <br>
   &emsp;&ensp; 3.5.10. **[Variance](/P/exp-var)** <br>
   &emsp;&ensp; 3.5.11. **[Skewness](/P/exp-skew)** <br>

   3.6. Log-normal distribution <br>
   &emsp;&ensp; 3.6.1. *[Definition](/D/lognorm)* <br>
   &emsp;&ensp; 3.6.2. **[Probability density function](/P/lognorm-pdf)** <br>
   &emsp;&ensp; 3.6.3. **[Cumulative distribution function](/P/lognorm-cdf)** <br>
   &emsp;&ensp; 3.6.4. **[Quantile function](/P/lognorm-qf)** <br>
   &emsp;&ensp; 3.6.5. **[Mean](/P/lognorm-mean)** <br>
   &emsp;&ensp; 3.6.6. **[Median](/P/lognorm-med)** <br>
   &emsp;&ensp; 3.6.7. **[Mode](/P/lognorm-mode)** <br>
   &emsp;&ensp; 3.6.8. **[Variance](/P/lognorm-var)** <br>

   3.7. Chi-squared distribution <br>
   &emsp;&ensp; 3.7.1. *[Definition](/D/chi2)* <br>
   &emsp;&ensp; 3.7.2. **[Special case of gamma distribution](/P/chi2-gam)** <br>
   &emsp;&ensp; 3.7.3. **[Probability density function](/P/chi2-pdf)** <br>
   &emsp;&ensp; 3.7.4. **[Moments](/P/chi2-mom)** <br>
   
   3.8. F-distribution <br>
   &emsp;&ensp; 3.8.1. *[Definition](/D/f)* <br>
   &emsp;&ensp; 3.8.2. **[Probability density function](/P/f-pdf)** <br>
   
   3.9. Beta distribution <br>
   &emsp;&ensp; 3.9.1. *[Definition](/D/beta)* <br>
   &emsp;&ensp; 3.9.2. **[Relationship to chi-squared distribution](/P/beta-chi2)** <br>
   &emsp;&ensp; 3.9.3. **[Probability density function](/P/beta-pdf)** <br>
   &emsp;&ensp; 3.9.4. **[Moment-generating function](/P/beta-mgf)** <br>
   &emsp;&ensp; 3.9.5. **[Cumulative distribution function](/P/beta-cdf)** <br>
   &emsp;&ensp; 3.9.6. **[Mean](/P/beta-mean)** <br>
   &emsp;&ensp; 3.9.7. **[Variance](/P/beta-var)** <br>
   
   3.10. Wald distribution <br>
   &emsp;&ensp; 3.10.1. *[Definition](/D/wald)* <br>
   &emsp;&ensp; 3.10.2. **[Probability density function](/P/wald-pdf)** <br>
   &emsp;&ensp; 3.10.3. **[Moment-generating function](/P/wald-mgf)** <br>
   &emsp;&ensp; 3.10.4. **[Mean](/P/wald-mean)** <br>
   &emsp;&ensp; 3.10.5. **[Variance](/P/wald-var)** <br>
   &emsp;&ensp; 3.10.6. **[Skewness](/P/wald-skew)** <br>
   &emsp;&ensp; 3.10.7. **[Method of moments](/P/wald-mome)** <br>
   
   3.11. ex-Gaussian distribution <br>
   &emsp;&ensp; 3.11.1. *[Definition](/D/exg)* <br>
   &emsp;&ensp; 3.11.2. **[Probability density function](/P/exg-pdf)** <br>
   &emsp;&ensp; 3.11.3. **[Moment-generating function](/P/exg-mgf)** <br>
   &emsp;&ensp; 3.11.4. **[Mean](/P/exg-mean)** <br>
   &emsp;&ensp; 3.11.5. **[Variance](/P/exg-var)** <br>
   &emsp;&ensp; 3.11.6. **[Skewness](/P/exg-skew)** <br>
   &emsp;&ensp; 3.11.7. **[Method of moments](/P/exg-mome)** <br>

4. Multivariate continuous distributions

   4.1. Multivariate normal distribution <br>
   &emsp;&ensp; 4.1.1. *[Definition](/D/mvn)* <br>
   &emsp;&ensp; 4.1.2. **[Special case of matrix-normal distribution](/P/mvn-matn)** <br>
   &emsp;&ensp; 4.1.3. **[Relationship to chi-squared distribution](/P/mvn-chi2)** <br>
   &emsp;&ensp; 4.1.4. **[Probability density function](/P/mvn-pdf)** <br>
   &emsp;&ensp; 4.1.5. *[Bivariate normal distribution](/D/bvn)* <br>
   &emsp;&ensp; 4.1.6. **[Probability density function of the bivariate normal distribution](/P/bvn-pdf)** <br>
   &emsp;&ensp; 4.1.7. **[Probability density function in terms of correlation coefficient](/P/bvn-pdfcorr)** <br>
   &emsp;&ensp; 4.1.8. **[Mean](/P/mvn-mean)** <br>
   &emsp;&ensp; 4.1.9. **[Covariance](/P/mvn-cov)** <br>
   &emsp;&ensp; 4.1.10. **[Differential entropy](/P/mvn-dent)** <br>
   &emsp;&ensp; 4.1.11. **[Kullback-Leibler divergence](/P/mvn-kl)** <br>
   &emsp;&ensp; 4.1.12. **[Linear transformation](/P/mvn-ltt)** <br>
   &emsp;&ensp; 4.1.13. **[Marginal distributions](/P/mvn-marg)** <br>
   &emsp;&ensp; 4.1.14. **[Conditional distributions](/P/mvn-cond)** <br>
   &emsp;&ensp; 4.1.15. **[Conditions for independence](/P/mvn-ind)** <br>
   &emsp;&ensp; 4.1.16. **[Independence of products](/P/mvn-indprod)** <br>
   
   4.2. Multivariate t-distribution <br>
   &emsp;&ensp; 4.2.1. *[Definition](/D/mvt)* <br>
   &emsp;&ensp; 4.2.2. **[Probability density function](/P/mvt-pdf)** <br>
   &emsp;&ensp; 4.2.3. **[Relationship to F-distribution](/P/mvt-f)** <br>
   
   4.3. Normal-gamma distribution <br>
   &emsp;&ensp; 4.3.1. *[Definition](/D/ng)* <br>
   &emsp;&ensp; 4.3.2. **[Special case of normal-Wishart distribution](/P/ng-nw)** <br>
   &emsp;&ensp; 4.3.3. **[Probability density function](/P/ng-pdf)** <br>
   &emsp;&ensp; 4.3.4. **[Mean](/P/ng-mean)** <br>
   &emsp;&ensp; 4.3.5. **[Covariance](/P/ng-cov)** <br>
   &emsp;&ensp; 4.3.6. **[Differential entropy](/P/ng-dent)** <br>
   &emsp;&ensp; 4.3.7. **[Kullback-Leibler divergence](/P/ng-kl)** <br>
   &emsp;&ensp; 4.3.8. **[Marginal distributions](/P/ng-marg)** <br>
   &emsp;&ensp; 4.3.9. **[Conditional distributions](/P/ng-cond)** <br>
   &emsp;&ensp; 4.3.10. **[Drawing samples](/P/ng-samp)** <br>
   
   4.4. Dirichlet distribution <br>
   &emsp;&ensp; 4.4.1. *[Definition](/D/dir)* <br>
   &emsp;&ensp; 4.4.2. **[Probability density function](/P/dir-pdf)** <br>
   &emsp;&ensp; 4.4.3. **[Kullback-Leibler divergence](/P/dir-kl)** <br>
   &emsp;&ensp; 4.4.4. **[Exceedance probabilities](/P/dir-ep)** <br>

5. Matrix-variate continuous distributions

   5.1. Matrix-normal distribution <br>
   &emsp;&ensp; 5.1.1. *[Definition](/D/matn)* <br>
   &emsp;&ensp; 5.1.2. **[Equivalence to multivariate normal distribution](/P/matn-mvn)** <br>
   &emsp;&ensp; 5.1.3. **[Probability density function](/P/matn-pdf)** <br>
   &emsp;&ensp; 5.1.4. **[Mean](/P/matn-mean)** <br>
   &emsp;&ensp; 5.1.5. **[Covariance](/P/matn-cov)** <br>
   &emsp;&ensp; 5.1.6. **[Differential entropy](/P/matn-dent)** <br>
   &emsp;&ensp; 5.1.7. **[Kullback-Leibler divergence](/P/matn-kl)** <br>
   &emsp;&ensp; 5.1.8. **[Transposition](/P/matn-trans)** <br>
   &emsp;&ensp; 5.1.9. **[Linear transformation](/P/matn-ltt)** <br>
   &emsp;&ensp; 5.1.10. **[Marginal distributions](/P/matn-marg)** <br>
   &emsp;&ensp; 5.1.11. **[Drawing samples](/P/matn-samp)** <br>
   
   5.2. Wishart distribution <br>
   &emsp;&ensp; 5.2.1. *[Definition](/D/wish)* <br>
   &emsp;&ensp; 5.2.2. **[Kullback-Leibler divergence](/P/wish-kl)** <br>
   
   5.3. Normal-Wishart distribution <br>
   &emsp;&ensp; 5.3.1. *[Definition](/D/nw)* <br>
   &emsp;&ensp; 5.3.2. **[Probability density function](/P/nw-pdf)** <br>
   &emsp;&ensp; 5.3.3. **[Mean](/P/nw-mean)** <br>


<br>
<section class="chapter" id="Statistical Models">
<h3>Chapter III: Statistical Models</h3>
</section>

1. Univariate normal data
   
   1.1. Univariate Gaussian <br>
   &emsp;&ensp; 1.1.1. *[Definition](/D/ug)* <br>
   &emsp;&ensp; 1.1.2. **[Maximum likelihood estimation](/P/ug-mle)** <br>
   &emsp;&ensp; 1.1.3. **[One-sample t-test](/P/ug-ttest1)** <br>
   &emsp;&ensp; 1.1.4. **[Two-sample t-test](/P/ug-ttest2)** <br>
   &emsp;&ensp; 1.1.5. **[Paired t-test](/P/ug-ttestp)** <br>
   &emsp;&ensp; 1.1.6. **[Conjugate prior distribution](/P/ug-prior)** <br>
   &emsp;&ensp; 1.1.7. **[Posterior distribution](/P/ug-post)** <br>
   &emsp;&ensp; 1.1.8. **[Log model evidence](/P/ug-lme)** <br>
   &emsp;&ensp; 1.1.9. **[Accuracy and complexity](/P/ug-anc)** <br>

   1.2. Univariate Gaussian with known variance<br>
   &emsp;&ensp; 1.2.1. *[Definition](/D/ugkv)* <br>
   &emsp;&ensp; 1.2.2. **[Maximum likelihood estimation](/P/ugkv-mle)** <br>
   &emsp;&ensp; 1.2.3. **[One-sample z-test](/P/ugkv-ztest1)** <br>
   &emsp;&ensp; 1.2.4. **[Two-sample z-test](/P/ugkv-ztest2)** <br>
   &emsp;&ensp; 1.2.5. **[Paired z-test](/P/ugkv-ztestp)** <br>
   &emsp;&ensp; 1.2.6. **[Conjugate prior distribution](/P/ugkv-prior)** <br>
   &emsp;&ensp; 1.2.7. **[Posterior distribution](/P/ugkv-post)** <br>
   &emsp;&ensp; 1.2.8. **[Log model evidence](/P/ugkv-lme)** <br>
   &emsp;&ensp; 1.2.9. **[Accuracy and complexity](/P/ugkv-anc)** <br>
   &emsp;&ensp; 1.2.10. **[Log Bayes factor](/P/ugkv-lbf)** <br>
   &emsp;&ensp; 1.2.11. **[Expectation of log Bayes factor](/P/ugkv-lbfmean)** <br>
   &emsp;&ensp; 1.2.12. **[Cross-validated log model evidence](/P/ugkv-cvlme)** <br>
   &emsp;&ensp; 1.2.13. **[Cross-validated log Bayes factor](/P/ugkv-cvlbf)** <br>
   &emsp;&ensp; 1.2.14. **[Expectation of cross-validated log Bayes factor](/P/ugkv-cvlbfmean)** <br>
   
   1.3. Analysis of variance <br>
   &emsp;&ensp; 1.3.1. *[One-way ANOVA](/D/anova1)* <br>
   &emsp;&ensp; 1.3.2. *[Treatment sum of squares](/D/trss)* <br>
   &emsp;&ensp; 1.3.3. **[Ordinary least squares for one-way ANOVA](/P/anova1-ols)** <br>
   &emsp;&ensp; 1.3.4. **[Sums of squares in one-way ANOVA](/P/anova1-pss)** <br>
   &emsp;&ensp; 1.3.5. **[F-test for main effect in one-way ANOVA](/P/anova1-f)** <br>
   &emsp;&ensp; 1.3.6. **[F-statistic in terms of OLS estimates](/P/anova1-fols)** <br>
   &emsp;&ensp; 1.3.7. **[Reparametrization of one-way ANOVA](/P/anova1-repara)** <br>
   &emsp;&ensp; 1.3.8. *[Two-way ANOVA](/D/anova2)* <br>
   &emsp;&ensp; 1.3.9. *[Interaction sum of squares](/D/iass)* <br>
   &emsp;&ensp; 1.3.10. **[Ordinary least squares for two-way ANOVA](/P/anova2-ols)** <br>
   &emsp;&ensp; 1.3.11. **[Sums of squares in two-way ANOVA](/P/anova2-pss)** <br>
   &emsp;&ensp; 1.3.12. **[Cochran's theorem for two-way ANOVA](/P/anova2-cochran)** <br>
   &emsp;&ensp; 1.3.13. **[F-test for main effect in two-way ANOVA](/P/anova2-fme)** <br>
   &emsp;&ensp; 1.3.14. **[F-test for interaction in two-way ANOVA](/P/anova2-fia)** <br>
   &emsp;&ensp; 1.3.15. **[F-test for grand mean in two-way ANOVA](/P/anova2-fgm)** <br>
   &emsp;&ensp; 1.3.16. **[F-statistics in terms of OLS estimates](/P/anova2-fols)** <br>
   
   1.4. Simple linear regression <br>
   &emsp;&ensp; 1.4.1. *[Definition](/D/slr)* <br>
   &emsp;&ensp; 1.4.2. **[Special case of multiple linear regression](/P/slr-mlr)** <br>
   &emsp;&ensp; 1.4.3. **[Ordinary least squares](/P/slr-ols)** (1) <br>
   &emsp;&ensp; 1.4.4. **[Ordinary least squares](/P/slr-ols2)** (2) <br>
   &emsp;&ensp; 1.4.5. **[Expectation of estimates](/P/slr-olsmean)** <br>
   &emsp;&ensp; 1.4.6. **[Variance of estimates](/P/slr-olsvar)** <br>
   &emsp;&ensp; 1.4.7. **[Distribution of estimates](/P/slr-olsdist)** <br>
   &emsp;&ensp; 1.4.8. **[Correlation of estimates](/P/slr-olscorr)** <br>
   &emsp;&ensp; 1.4.9. **[Effects of mean-centering](/P/slr-meancent)** <br>
   &emsp;&ensp; 1.4.10. *[Regression line](/D/regline)* <br>
   &emsp;&ensp; 1.4.11. **[Regression line includes center of mass](/P/slr-comp)** <br>
   &emsp;&ensp; 1.4.12. **[Projection of data point to regression line](/P/slr-proj)** <br>
   &emsp;&ensp; 1.4.13. **[Sums of squares](/P/slr-sss)** <br>
   &emsp;&ensp; 1.4.14. **[Transformation matrices](/P/slr-mat)** <br>
   &emsp;&ensp; 1.4.15. **[Weighted least squares](/P/slr-wls)** (1) <br>
   &emsp;&ensp; 1.4.16. **[Weighted least squares](/P/slr-wls2)** (2) <br>
   &emsp;&ensp; 1.4.17. **[Maximum likelihood estimation](/P/slr-mle)** (1) <br>
   &emsp;&ensp; 1.4.18. **[Maximum likelihood estimation](/P/slr-mle2)** (2) <br>
   &emsp;&ensp; 1.4.19. **[Sum of residuals is zero](/P/slr-ressum)** <br>
   &emsp;&ensp; 1.4.20. **[Correlation with covariate is zero](/P/slr-rescorr)** <br>
   &emsp;&ensp; 1.4.21. **[Residual variance in terms of sample variance](/P/slr-resvar)** <br>
   &emsp;&ensp; 1.4.22. **[Correlation coefficient in terms of slope estimate](/P/slr-corr)** <br>
   &emsp;&ensp; 1.4.23. **[Coefficient of determination in terms of correlation coefficient](/P/slr-rsq)** <br>

   1.5. Multiple linear regression <br>
   &emsp;&ensp; 1.5.1. *[Definition](/D/mlr)* <br>
   &emsp;&ensp; 1.5.2. **[Special case of general linear model](/P/mlr-glm)** <br>
   &emsp;&ensp; 1.5.3. **[Ordinary least squares](/P/mlr-ols)** (1) <br>
   &emsp;&ensp; 1.5.4. **[Ordinary least squares](/P/mlr-ols2)** (2) <br>
   &emsp;&ensp; 1.5.5. **[Ordinary least squares for two regressors](/P/mlr-olstr)** <br>
   &emsp;&ensp; 1.5.6. *[Total sum of squares](/D/tss)* <br>
   &emsp;&ensp; 1.5.7. *[Explained sum of squares](/D/ess)* <br>
   &emsp;&ensp; 1.5.8. *[Residual sum of squares](/D/rss)* <br>
   &emsp;&ensp; 1.5.9. **[Total, explained and residual sum of squares](/P/mlr-pss)** <br>
   &emsp;&ensp; 1.5.10. *[Estimation matrix](/D/emat)* <br>
   &emsp;&ensp; 1.5.11. *[Projection matrix](/D/pmat)* <br>
   &emsp;&ensp; 1.5.12. *[Residual-forming matrix](/D/rfmat)* <br>
   &emsp;&ensp; 1.5.13. **[Estimation, projection and residual-forming matrix](/P/mlr-mat)** <br>
   &emsp;&ensp; 1.5.14. **[Symmetry of projection and residual-forming matrix](/P/mlr-symm)** <br>
   &emsp;&ensp; 1.5.15. **[Idempotence of projection and residual-forming matrix](/P/mlr-idem)** <br>
   &emsp;&ensp; 1.5.16. **[Independence of estimated parameters and residuals](/P/mlr-ind)** <br>
   &emsp;&ensp; 1.5.17. **[Distribution of OLS estimates, signal and residuals](/P/mlr-olsdist)** <br>
   &emsp;&ensp; 1.5.18. **[Distribution of WLS estimates, signal and residuals](/P/mlr-wlsdist)** <br>
   &emsp;&ensp; 1.5.19. **[Distribution of residual sum of squares](/P/mlr-rssdist)** <br>
   &emsp;&ensp; 1.5.20. **[Weighted least squares](/P/mlr-wls)** (1) <br>
   &emsp;&ensp; 1.5.21. **[Weighted least squares](/P/mlr-wls2)** (2) <br>
   &emsp;&ensp; 1.5.22. *[t-contrast](/D/tcon)* <br>
   &emsp;&ensp; 1.5.23. *[F-contrast](/D/fcon)* <br>
   &emsp;&ensp; 1.5.24. **[Contrast-based t-test](/P/mlr-t)** <br>
   &emsp;&ensp; 1.5.25. **[Contrast-based F-test](/P/mlr-f)** <br>
   &emsp;&ensp; 1.5.26. **[Maximum likelihood estimation](/P/mlr-mle)** <br>
   &emsp;&ensp; 1.5.27. **[Maximum log-likelihood](/P/mlr-mll)** <br>
   &emsp;&ensp; 1.5.28. **[Deviance function](/P/mlr-dev)** <br>
   &emsp;&ensp; 1.5.29. **[Akaike information criterion](/P/mlr-aic)** <br>
   &emsp;&ensp; 1.5.30. **[Bayesian information criterion](/P/mlr-bic)** <br>
   &emsp;&ensp; 1.5.31. **[Corrected Akaike information criterion](/P/mlr-aicc)** <br>
   
   1.6. Bayesian linear regression <br>
   &emsp;&ensp; 1.6.1. **[Conjugate prior distribution](/P/blr-prior)** <br>
   &emsp;&ensp; 1.6.2. **[Posterior distribution](/P/blr-post)** <br>
   &emsp;&ensp; 1.6.3. **[Log model evidence](/P/blr-lme)** <br>
   &emsp;&ensp; 1.6.4. **[Deviance information criterion](/P/blr-dic)** <br>
   &emsp;&ensp; 1.6.5. **[Posterior probability of alternative hypothesis](/P/blr-pp)** <br>
   &emsp;&ensp; 1.6.6. **[Posterior credibility region excluding null hypothesis](/P/blr-pcr)** <br>
   
2. Multivariate normal data
   
   2.1. General linear model <br>
   &emsp;&ensp; 2.1.1. *[Definition](/D/glm)* <br>
   &emsp;&ensp; 2.1.2. **[Ordinary least squares](/P/glm-ols)** <br>
   &emsp;&ensp; 2.1.3. **[Weighted least squares](/P/glm-wls)** <br>
   &emsp;&ensp; 2.1.4. **[Maximum likelihood estimation](/P/glm-mle)** <br>
   
   2.2. Transformed general linear model <br>
   &emsp;&ensp; 2.2.1. *[Definition](/D/tglm)* <br>
   &emsp;&ensp; 2.2.2. **[Derivation of the distribution](/P/tglm-dist)** <br>
   &emsp;&ensp; 2.2.3. **[Equivalence of parameter estimates](/P/tglm-para)** <br>
   
   2.3. Inverse general linear model <br>
   &emsp;&ensp; 2.3.1. *[Definition](/D/iglm)* <br>
   &emsp;&ensp; 2.3.2. **[Derivation of the distribution](/P/iglm-dist)** <br>
   &emsp;&ensp; 2.3.3. **[Best linear unbiased estimator](/P/iglm-blue)** <br>
   &emsp;&ensp; 2.3.4. *[Corresponding forward model](/D/cfm)* <br>
   &emsp;&ensp; 2.3.5. **[Derivation of parameters](/P/cfm-para)** <br>
   &emsp;&ensp; 2.3.6. **[Proof of existence](/P/cfm-exist)** <br>
   
   2.4. Multivariate Bayesian linear regression <br>
   &emsp;&ensp; 2.4.1. **[Conjugate prior distribution](/P/mblr-prior)** <br>
   &emsp;&ensp; 2.4.2. **[Posterior distribution](/P/mblr-post)** <br>
   &emsp;&ensp; 2.4.3. **[Log model evidence](/P/mblr-lme)** <br>

3. Count data
   
   3.1. Binomial observations <br>
   &emsp;&ensp; 3.1.1. *[Definition](/D/bin-data)* <br>
   &emsp;&ensp; 3.1.2. **[Binomial test](/P/bin-test)** <br>
   &emsp;&ensp; 3.1.3. **[Maximum likelihood estimation](/P/bin-mle)** <br>
   &emsp;&ensp; 3.1.4. **[Maximum log-likelihood](/P/bin-mll)** <br>
   &emsp;&ensp; 3.1.5. **[Maximum-a-posteriori estimation](/P/bin-map)** <br>
   &emsp;&ensp; 3.1.6. **[Conjugate prior distribution](/P/bin-prior)** <br>
   &emsp;&ensp; 3.1.7. **[Posterior distribution](/P/bin-post)** <br>
   &emsp;&ensp; 3.1.8. **[Log model evidence](/P/bin-lme)** <br>
   &emsp;&ensp; 3.1.9. **[Log Bayes factor](/P/bin-lbf)** <br>
   &emsp;&ensp; 3.1.10. **[Posterior probability](/P/bin-pp)** <br>
   
   3.2. Multinomial observations <br>
   &emsp;&ensp; 3.2.1. *[Definition](/D/mult-data)* <br>
   &emsp;&ensp; 3.2.2. **[Multinomial test](/P/mult-test)** <br>
   &emsp;&ensp; 3.2.3. **[Maximum likelihood estimation](/P/mult-mle)** <br>
   &emsp;&ensp; 3.2.4. **[Maximum log-likelihood](/P/mult-mll)** <br>
   &emsp;&ensp; 3.2.5. **[Maximum-a-posteriori estimation](/P/mult-map)** <br>
   &emsp;&ensp; 3.2.6. **[Conjugate prior distribution](/P/mult-prior)** <br>
   &emsp;&ensp; 3.2.7. **[Posterior distribution](/P/mult-post)** <br>
   &emsp;&ensp; 3.2.8. **[Log model evidence](/P/mult-lme)** <br>
   &emsp;&ensp; 3.2.9. **[Log Bayes factor](/P/mult-lbf)** <br>
   &emsp;&ensp; 3.2.10. **[Posterior probability](/P/mult-pp)** <br>

   3.3. Poisson-distributed data <br>
   &emsp;&ensp; 3.3.1. *[Definition](/D/poiss-data)* <br>
   &emsp;&ensp; 3.3.2. **[Maximum likelihood estimation](/P/poiss-mle)** <br>
   &emsp;&ensp; 3.3.3. **[Conjugate prior distribution](/P/poiss-prior)** <br>
   &emsp;&ensp; 3.3.4. **[Posterior distribution](/P/poiss-post)** <br>
   &emsp;&ensp; 3.3.5. **[Log model evidence](/P/poiss-lme)** <br>
   
   3.4. Poisson distribution with exposure values <br>
   &emsp;&ensp; 3.4.1. *[Definition](/D/poissexp)* <br>
   &emsp;&ensp; 3.4.2. **[Maximum likelihood estimation](/P/poissexp-mle)** <br>
   &emsp;&ensp; 3.4.3. **[Conjugate prior distribution](/P/poissexp-prior)** <br>
   &emsp;&ensp; 3.4.4. **[Posterior distribution](/P/poissexp-post)** <br>
   &emsp;&ensp; 3.4.5. **[Log model evidence](/P/poissexp-lme)** <br>

4. Frequency data
   
   4.1. Beta-distributed data <br>
   &emsp;&ensp; 4.1.1. *[Definition](/D/beta-data)* <br>
   &emsp;&ensp; 4.1.2. **[Method of moments](/P/beta-mome)** <br>
   
   4.2. Dirichlet-distributed data <br>
   &emsp;&ensp; 4.2.1. *[Definition](/D/dir-data)* <br>
   &emsp;&ensp; 4.2.2. **[Maximum likelihood estimation](/P/dir-mle)** <br>
   
   4.3. Beta-binomial data <br>
   &emsp;&ensp; 4.3.1. *[Definition](/D/betabin-data)* <br>
   &emsp;&ensp; 4.3.2. **[Method of moments](/P/betabin-mome)** <br>

5. Categorical data
   
   5.1. Logistic regression <br>
   &emsp;&ensp; 5.1.1. *[Definition](/D/logreg)* <br>
   &emsp;&ensp; 5.1.2. **[Probability and log-odds](/P/logreg-pnlo)** <br>
   &emsp;&ensp; 5.1.3. **[Log-odds and probability](/P/logreg-lonp)** <br>


<br>
<section class="chapter" id="Model Selection">
<h3>Chapter IV: Model Selection</h3>
</section>

1. Goodness-of-fit measures

   1.1. Residual variance <br>
   &emsp;&ensp; 1.1.1. *[Definition](/D/resvar)* <br>
   &emsp;&ensp; 1.1.2. **[Maximum likelihood estimator is biased (p = 1)](/P/resvar-bias)** <br>
   &emsp;&ensp; 1.1.3. **[Maximum likelihood estimator is biased (p > 1)](/P/resvar-biasp)** <br>
   &emsp;&ensp; 1.1.4. **[Construction of unbiased estimator](/P/resvar-unb)** <br>
   
   1.2. R-squared <br>
   &emsp;&ensp; 1.2.1. *[Definition](/D/rsq)* <br>
   &emsp;&ensp; 1.2.2. **[Derivation of R² and adjusted R²](/P/rsq-der)** <br>
   &emsp;&ensp; 1.2.3. **[Relationship to maximum log-likelihood](/P/rsq-mll)** <br>
   
   1.3. Signal-to-noise ratio <br>
   &emsp;&ensp; 1.3.1. *[Definition](/D/snr)* <br>
   &emsp;&ensp; 1.3.2. **[Relationship with R²](/P/snr-rsq)** <br>

2. Classical information criteria

   2.1. Akaike information criterion <br>
   &emsp;&ensp; 2.1.1. *[Definition](/D/aic)* <br>
   &emsp;&ensp; 2.1.2. *[Corrected AIC](/D/aicc)* <br>
   &emsp;&ensp; 2.1.3. **[Corrected AIC and uncorrected AIC](/P/aicc-aic)** <br>
   &emsp;&ensp; 2.1.4. **[Corrected AIC and maximum log-likelihood](/P/aicc-mll)** <br>
   
   2.2. Bayesian information criterion <br>
   &emsp;&ensp; 2.2.1. *[Definition](/D/bic)* <br>
   &emsp;&ensp; 2.2.2. **[Derivation](/P/bic-der)** <br>
   
   2.3. Deviance information criterion <br>
   &emsp;&ensp; 2.3.1. *[Definition](/D/dic)* <br>
   &emsp;&ensp; 2.3.2. *[Deviance](/D/dev)* <br>

3. Bayesian model selection

   3.1. Model evidence <br>
   &emsp;&ensp; 3.1.1. *[Definition](/D/me)* <br>
   &emsp;&ensp; 3.1.2. **[Derivation](/P/me-der)** <br>
   &emsp;&ensp; 3.1.3. *[Log model evidence](/D/lme)* <br>
   &emsp;&ensp; 3.1.4. **[Derivation of the log model evidence](/P/lme-der)** <br>
   &emsp;&ensp; 3.1.5. **[Expression using prior and posterior](/P/lme-pnp)** <br>
   &emsp;&ensp; 3.1.6. **[Partition into accuracy and complexity](/P/lme-anc)** <br>
   &emsp;&ensp; 3.1.7. **[Subtraction of mean from LMEs](/P/lme-mean)** <br>
   &emsp;&ensp; 3.1.8. *[Uniform-prior log model evidence](/D/uplme)* <br>
   &emsp;&ensp; 3.1.9. *[Cross-validated log model evidence](/D/cvlme)* <br>
   &emsp;&ensp; 3.1.10. *[Empirical Bayesian log model evidence](/D/eblme)* <br>
   &emsp;&ensp; 3.1.11. *[Variational Bayesian log model evidence](/D/vblme)* <br>
   
   3.2. Family evidence <br>
   &emsp;&ensp; 3.2.1. *[Definition](/D/fe)* <br>
   &emsp;&ensp; 3.2.2. **[Derivation](/P/fe-der)** <br>
   &emsp;&ensp; 3.2.3. *[Log family evidence](/D/lfe)* <br>
   &emsp;&ensp; 3.2.4. **[Derivation of the log family evidence](/P/lfe-der)** <br>
   &emsp;&ensp; 3.2.5. **[Calculation from log model evidences](/P/lfe-lme)** <br>
   &emsp;&ensp; 3.2.6. **[Approximation of log family evidences](/P/lfe-approx)** <br>
   
   3.3. Bayes factor <br>
   &emsp;&ensp; 3.3.1. *[Definition](/D/bf)* <br>
   &emsp;&ensp; 3.3.2. **[Transitivity](/P/bf-trans)** <br>
   &emsp;&ensp; 3.3.3. **[Computation using Savage-Dickey density ratio](/P/bf-sddr)** <br>
   &emsp;&ensp; 3.3.4. **[Computation using encompassing prior method](/P/bf-ep)** <br>
   &emsp;&ensp; 3.3.5. *[Encompassing model](/D/encm)* <br>
   &emsp;&ensp; 3.3.6. *[Log Bayes factor](/D/lbf)* <br>
   &emsp;&ensp; 3.3.7. **[Derivation of the log Bayes factor](/P/lbf-der)** <br>
   &emsp;&ensp; 3.3.8. **[Calculation from log model evidences](/P/lbf-lme)** <br>
   
   3.4. Posterior model probability <br>
   &emsp;&ensp; 3.4.1. *[Definition](/D/pmp)* <br>
   &emsp;&ensp; 3.4.2. **[Derivation](/P/pmp-der)** <br>
   &emsp;&ensp; 3.4.3. **[Calculation from Bayes factors](/P/pmp-bf)** <br>
   &emsp;&ensp; 3.4.4. **[Calculation from log Bayes factor](/P/pmp-lbf)** <br>
   &emsp;&ensp; 3.4.5. **[Calculation from log model evidences](/P/pmp-lme)** <br>
   
   3.5. Bayesian model averaging <br>
   &emsp;&ensp; 3.5.1. *[Definition](/D/bma)* <br>
   &emsp;&ensp; 3.5.2. **[Derivation](/P/bma-der)** <br>
   &emsp;&ensp; 3.5.3. **[Calculation from log model evidences](/P/bma-lme)** <br>
