---
layout: special
title: "Model Selection"
shortcut: "ChIV"
---


**Proofs** and *Definitions* on [Model Selection Criteria](/I/ToC#Model%20Selection) in the StatProofBook, as of 2021-12-21.

| Criterion | Definition | Derivation | Relationships | Other |
|:--------- |:---------- |:---------- |:------------- |:----- |
| **Goodness-of-<br>fit measures** |  |  |  |  |
| Residual variance | *[resvar](/D/resvar)* |  |  | **[resvar-bias](/P/resvar-bias)**<br>**[resvar-unb](/P/resvar-unb)** |
| R-squared | *[rsq](/D/rsq)* | **[rsq-der](/P/rsq-der)** | **[rsq-mll](/P/rsq-mll)** |  |
| Signal-to-noise ratio | *[snr](/D/snr)* | | **[snr-rsq](/P/snr-rsq)** |  |
| **Classical infor-<br>mation criteria** |  |  |  |  |
| Akaike information criterion | *[aic](/D/aic)* |  |  |  |
| Bayesian information criterion | *[bic](/D/bic)* | **[bic-der](/P/bic-der)** |  |  |
| Deviance information criterion | *[dic](/D/dic)* |  |  |  |
| **Bayesian<br>model selection** |  |  |  |  |
| Log model evidence | *[lme](/D/lme)*<br>*[uplme](/D/uplme)*<br>*[cvlme](/D/cvlme)*<br>*[eblme](/D/eblme)*<br>*[vblme](/D/vblme)* | **[lme-der](/P/lme-der)** |  | **[lme-anc](/P/lme-anc)** |
| Log family evidence | *[lfe](/D/lfe)* | **[lfe-der](/P/lfe-der)** | **[lfe-lme](/P/lfe-lme)** |  |
| Log Bayes factor | *[lbf](/D/lbf)* | **[lbf-der](/P/lbf-der)** | **[lbf-lme](/P/lbf-lme)** |  |
| Bayes factor | *[bf](/D/bf)* |  |  | **[bf-trans](/P/bf-trans)**<br>**[bf-sddr](/P/bf-sddr)**<br>**[bf-ep](/P/bf-ep)** |
| Posterior model probability | *[pmp](/D/pmp)* | **[pmp-der](/P/pmp-der)** | **[pmp-bf](/P/pmp-bf)**<br>**[pmp-lbf](/P/pmp-lbf)**<br>**[pmp-lme](/P/pmp-lme)** |  |
| Bayesian model averaging | *[bma](/D/bma)* | **[bma-der](/P/bma-der)** | **[bma-lme](/P/bma-lme)** |  |