---
layout: page
title: Citing StatProofBook
permalink: /citations/
---


### Instructions

If you cite **The Book of Statistical Proofs** in your scientific work, it is best practice to reference the Zenodo DOI (10.5281/zenodo.4305949) which always resolves the latest version of the **StatProofBook**. This could e.g. look as follows:

* Soch, Joram, et al. (2023). StatProofBook/StatProofBook.github.io: StatProofBook 2022 (Version 2022). Zenodo. <https://doi.org/10.5281/ZENODO.4305949>

Alternatively, you can also directly cite a proof from the archive in your article:

* [GitHub username] (YYYY). Proof: [Title of the proof]. *The Book of Statistical Proofs*, Proof #NNN. URL: [https://statproofbook.github.io/P/[shortcut]](https://statproofbook.github.io/P/-temp-); DOI: [10.5281/zenodo.4305949](https://doi.org/10.5281/zenodo.4305949).

* majapavlo (2022). Proof: Probability density function of the log-normal distribution. *The Book of Statistical Proofs*, Proof #310. URL: <https://statproofbook.github.io/P/lognorm-pdf>; DOI: [10.5281/zenodo.4305949](https://doi.org/10.5281/zenodo.4305949).

Alternatively, you may also include a footnote with the URL into your article:

* See: [https://statproofbook.github.io/P/[shortcut]](https://statproofbook.github.io/P/-temp-)

* See: <https://statproofbook.github.io/P/lognorm-pdf>


<br>
### Hall of Fame

Here is a list of scientific articles that have so far cited content from **The Book of Statistical Proofs**:

* Awad, P., Chan, J. H. H., Millon, M., Courbin, F., & Paic, E. (2023a). Probing compact dark matter objects with microlensing in gravitationally lensed quasars. Astronomy & Astrophysics, 673, A88. <https://doi.org/10.1051/0004-6361/202245615>

* Awad, P., Chan, J. H. H., Millon, M., Courbin, F., & Paic, E. (2023b). Probing compact dark matter objects with microlensing in gravitationally lensed quasars. <https://doi.org/10.48550/ARXIV.2304.01320>

* Bilton, M. A. (2022). Use of Surrogate Models for Continuous Optimal Experimental Design [Thesis, ResearchSpace@Auckland]. <https://researchspace.auckland.ac.nz/handle/2292/61541>

* Coupechoux, J.-F., Chierici, R., Hansen, H., Margueron, J., Somasundaram, R., & Sordini, V. (2023). Impact of O4 future detections on the determination of the dense matter equations of state. Physical Review D, 107(12), 124006. <https://doi.org/10.1103/PhysRevD.107.124006>

* Dam, T., Stenger, P., Schneider, L., Pajarinen, J., D’Eramo, C., & Maillard, O.-A. (2023). Monte-Carlo tree search with uncertainty propagation via optimal transport. <https://doi.org/10.48550/ARXIV.2309.10737>

* de la Torre, J. (2023). Autocodificadores Variacionales (VAE) Fundamentos Teóricos y Aplicaciones. <https://doi.org/10.48550/ARXIV.2302.09363>

* Děd, T. (2023). Konstrukce modelu pro překlad záznamu znakového jazyka s využitím neuronových sítí. <https://dspace.cvut.cz/handle/10467/111309>

* Fajar, M., Setiawan, & Iriawan, N. (2023). The Adjusted SNR and It’s Application for Selection Lorenz Function of Income Inequality Analysis. Procedia Computer Science, 227, 1–16. <https://doi.org/10.1016/j.procs.2023.10.497>

* Görner, M., Dicke, P. W., & Thier, P. (2023). Is there a brain area dedicated to socially guided spatial attention? [Preprint]. Neuroscience. <https://doi.org/10.1101/2023.01.20.524674>

* Heußen, S., Winter, D., Rispler, M., & Müller, M. (2023). Dynamical subset sampling of quantum error correcting protocols. <https://doi.org/10.48550/ARXIV.2309.12774>

* Ivănescu, L., & O’Neill, N. T. (2023). Multi-star calibration in starphotometry. Atmospheric Measurement Techniques, 16(24), 6111–6121. <https://doi.org/10.5194/amt-16-6111-2023>

* Larsen, A. H. (2023). Fitting multiple small-angle scattering datasets simultaneously: On the optimal use of priors and weights. <https://doi.org/10.48550/ARXIV.2311.06408>

* Liu, X., Yuan, J., An, B., Xu, Y., Yang, Y., & Huang, F. (2023). C-Disentanglement: Discovering Causally-Independent Generative Factors under an Inductive Bias of Confounder. <https://doi.org/10.48550/ARXIV.2310.17325>

* Loukas, O., & Chung, H. R. (2023). Total Empiricism: Learning from Data. <https://doi.org/10.48550/ARXIV.2311.08315>

* Mulder, E. (2023). Fast square-free decomposition of integers using class groups. <https://doi.org/10.48550/ARXIV.2308.06130>

* Mustapa, N. A., Senawi, A., & Liang, C. Z. (2023). Feature Selection Using Law of Total Variance with Fast Correlation-Based Filter. 2023 IEEE 8th International Conference On Software Engineering and Computer Systems (ICSECS), 35–40. <https://doi.org/10.1109/ICSECS58457.2023.10256367>

* Mustapa, N. A., Senawi, A., & Wei, H.-L. (2023). Supervised Feature Selection based on the Law of Total Variance. MEKATRONIKA, 5(2), 100–110. <https://doi.org/10.15282/mekatronika.v5i2.9998>

* Öz, H. N. (2023, September 26). New Risk Measures: Magnitude and Propensity Approach. <https://thesis.unipd.it/handle/20.500.12608/52276>

* Özkaya, E., Rottmayer, J., & Gauger, N. R. (2024). Gradient Enhanced Surrogate Modeling Framework for Aerodynamic Design Optimization. In AIAA SCITECH 2024 Forum. <https://doi.org/10.2514/6.2024-2670>

* Šimon, S. (2022). Metody návrhu experimentů pro tvorbu zjednodušeného modelu okraje plasmatu [B.S. thesis, České vysoké učení technické v Praze. Vypočetní a informační centrum.]. <https://dspace.cvut.cz/handle/10467/101041>

* Smith, I., Ortmann, J., Abbas-Aghababazadeh, F., Smirnov, P., & Haibe-Kains, B. (2023). On the distribution of cosine similarity with application to biology. <https://doi.org/10.48550/ARXIV.2310.13994>

* Soch, J. (2020). Distributional Transformation Improves Decoding Accuracy When Predicting Chronological Age From Structural MRI. Frontiers in Psychiatry, 11, 604268. <https://doi.org/10.3389/fpsyt.2020.604268>

* Soch, J. (2023). Searchlight-based trial-wise fMRI decoding in the presence of trial-by-trial correlations [Preprint]. Neuroscience. <https://doi.org/10.1101/2023.12.05.570090>

* Soch, J., Richter, A., Schott, B. H., & Kizilirmak, J. M. (2022). A novel approach for modelling subsequent memory reports by separating decidedness, recognition and confidence [Preprint]. PsyArXiv. <https://doi.org/10.31234/osf.io/u5t82>

* Subramonian, A., Sagun, L., Chang, K.-W., & Sun, Y. (2022). Group Excess Risk Bound of Overparameterized Linear Regression with Constant-Stepsize SGD. Workshop on Trustworthy and Socially Responsible Machine Learning, NeurIPS 2022. <https://openreview.net/forum?id=TRpJAAK3o0X>

* Vinaroz, M., & Park, M. (2021). Differentially private stochastic expectation propagation (DP-SEP). <https://doi.org/10.48550/ARXIV.2111.13219>

* Vinaroz, M., & Park, M. (2022). Differentially Private Stochastic Expectation Propagation. Transactions on Machine Learning Research. <https://openreview.net/forum?id=e5ILb2Nqst>

* Zeng, H., Lyu, H., Hu, D., Xia, Y., & Luo, J. (2023). Mixture of Weak & Strong Experts on Graphs. <https://doi.org/10.48550/ARXIV.2311.05185>

retrieved from: [Google](https://scholar.google.com/scholar?hl=en&q="statproofbook.github.io") [Scholar](https://scholar.google.com/scholar?oi=bibs&hl=en&cites=10961619650003463573); last update: 2024-01-12